2026-01-23  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: d71bb8ab3144ec4b0836345b7573dc0c62e6bf50
	version.h, include/features.h: Increase version number

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2026-01-23  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 145ff720257a1fab037cb08197a873951cf55e46
	contrib.texi: Add missing accent

	* manual/contrib.texi: Modified.

2026-01-23  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: ab1aba6eb7e26b4f96a8f96c92d06cb6017713da
	tst-cond23: add <support/test-driver.h> include

	* sysdeps/pthread/tst-cond23.c: Modified.
	(support/test-driver.h): Include file.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: da9e56ca3ab38f3c90457e02583724e970c54659
	install.texi, INSTALL: update versions

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: d9503d1b632360e7a3afe6f9a1cffd25939b382b
	contrib.texi: Updates

	* manual/contrib.texi: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: bf047617c000e0c2c8ae0d09da73048481d4c172
	NEWS: Insert list of fixed security advisories

	* NEWS: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 42903d21467d95e33f87e82c28f86dc9ea1a9eca
	NEWS: Mention build issues due to const-preserving macros

	* NEWS: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: f921e0a13aa13146efbc8a77f5b6231244c6eac0
	NEWS: Insert list of fixed bugs

	* NEWS: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 2942e34e6b6a11cdce95b92f774e16a257b5df57
	NEWS: Editorial changes

	* NEWS: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: f7e64ebc5c751793e2546cd41471ee2387916585
	NEWS: Additional items and minor consolidation

	* NEWS: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: e724b25eee747810f1a5ba5ca600b6c44cbc9a8c
	NEWS: Group ISO C23 related changes

	* NEWS: Modified.

2026-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c9753cf643792a2890363fd144d90b4b7da834dd
	po: Incorporate translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2026-01-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c809f90e5e5e53c82c4c48c0aee753c93ba096c6
	Update advisory text for GLIBC-SA-2026-0003

	* advisories/GLIBC-SA-2026-0003: Modified.

2026-01-20  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 04e750e75b73957cf1c791535a3f4319534a52fc
	Add advisory text for CVE-2025-15281

	* advisories/GLIBC-SA-2026-0003: New file.

2026-01-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 80cc58ea2de214f85b0a1d902a3b668ad2ecb302
	posix: Reset wordexp_t fields with WRDE_REUSE (CVE-2025-15281 / BZ 33814)

	* posix/Makefile: Modified.
	* posix/tst-wordexp-reuse.c: New file.
	* posix/wordexp.c: Modified.
	(parse_dollars): Modified function.

2026-01-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c42baf0c08058a4523e83971ad98770c862d02c5
	libc.pot: regenerate

	* po/libc.pot: Modified.

2026-01-19  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: efe341ae0ee945bdc0c3fd5fb6fd0196025647af
	Linux: fix tst-copy_file_range-large failure in 32-bit glibc build on 64-bit kernel [BZ 33790]

	* sysdeps/unix/sysv/linux/tst-copy_file_range-large.c: Modified.
	(test_size): Modified function.

2026-01-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7b543dcdf97d07fd4346feb17916e08fe83ad0ae
	elf: Ignore LD_PROFILE if LD_PROFILE_OUTPUT is not set (bug 33797)

	* NEWS: Modified.
	* elf/rtld.c: Modified.
	(process_envvars_default): Modified function.
	* elf/tst-env-setuid.c: Modified.
	(LD_DEBUG_OUTPUT): Remove.
	(unlink_ld_debug_output): Modified function.
	(test_child): Modified function.
	(do_test): Modified function.
	(debugoutputpath): New.
	(profilepath): New.
	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.

2026-01-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0bbeb1fd13ba4d30cd7ec977e1ab6c22d7bf8b7f
	hurd: make __thread_set_pcsptp align stack

	* sysdeps/mach/hurd/x86_64/htl/pt-machdep.c: Modified.
	(__thread_set_pcsptp): Modified function.
	(thread_state.h): Include file.

2026-01-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 872cc459a9ec2a082cf1c292246708c7327d55e9
	Update advisory text for CVE-2026-0951

	* advisories/GLIBC-SA-2026-0002: Modified.

2026-01-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: ffe48207fda753d47968e2a51e72c10be837f689
	Add advisory text for CVE-2026-0951

	* advisories/GLIBC-SA-2026-0002: New file.

2026-01-16  Siddhesh Poyarekar  <siddhesh@gotplt.org>

	COMMIT: 75d8c149f83e467898fdc2c902a247d9060fd522
	Add advisory text for CVE-2026-0861

	* advisories/GLIBC-SA-2026-0001: New file.

2026-01-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: e56ff82d5034ec66c6a78f517af6faa427f65b0b
	resolv: Fix NSS DNS backend for getnetbyaddr (CVE-2026-0915)

	* resolv/nss_dns/dns-network.c: Modified.
	(_nss_dns_getnetbyaddr_r): Modified function.
	* resolv/tst-resolv-network.c: Modified.
	(handle_code): Modified function.
	(do_test): Modified function.

2026-01-15  Siddhesh Poyarekar  <siddhesh@gotplt.org>

	COMMIT: c9188d333717d3ceb7e3020011651f424f749f93
	memalign: reinstate alignment overflow check (CVE-2026-0861)

	* malloc/malloc.c: Modified.
	(_int_memalign): Modified function.
	* malloc/tst-malloc-too-large.c: Modified.
	(pagesize): Remove.
	(test_large_aligned_allocations): Modified function.
	(do_test): Modified function.

2026-01-15  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 289d3283b62d5ef78a2c75803f5450890c16d565
	malloc: Add tst-mallocfork to tests-exclude-threaded exception list

	* malloc/Makefile: Modified.

2026-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 088a2055da661b0d5b3aa6069b70dfae795b62fd
	aarch64: Fix LD_AUDIT with GCS in permissive mode

	* elf/dl-open.c: Modified.
	(dl_open_worker_begin): Modified function.
	* sysdeps/aarch64/dl-gcs.c: Modified.
	(check_gcs): Modified function.
	(check_gcs_depends): Modified function.
	(_dl_gcs_check): Modified function.
	* sysdeps/aarch64/dl-prop.h: Modified.
	(_dl_gcs_check): Modified.
	(_rtld_main_check): Modified function.
	(_dl_open_check): Modified function.
	* sysdeps/generic/dl-prop.h: Modified.
	(_dl_open_check): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-audit-disabled.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-audit-enforced.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-audit-optional.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-audit-override.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-audit-skeleton.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-audit1.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-mod4.c: New file.
	* sysdeps/x86/dl-prop.h: Modified.
	(_dl_open_check): Modified function.

2026-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e304c9cbf779ea49d6cd6e815c4e76fd4e727ef8
	aarch64: Add LD_PRELOAD tests for GCS handling

	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-preload-disabled.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-preload-enforced-abort.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-preload-optional.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-preload-override.c: New file.

2026-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cc098e61b0421ce0c9e0709cca8427bff80bdbc3
	aarch64: Add LD_AUDIT tests for BTI handling

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/tst-bti-mod-audit-skeleton.c: New file.
	* sysdeps/aarch64/tst-bti-mod-prot-audit.c: New file.
	* sysdeps/aarch64/tst-bti-mod-unprot-audit.c: New file.
	* sysdeps/aarch64/tst-bti-permissive-audit.c: New file.
	* sysdeps/aarch64/tst-bti-prot-audit.c: New file.
	* sysdeps/aarch64/tst-bti-skeleton-audit.c: New file.
	* sysdeps/aarch64/tst-bti-unprot-audit.c: New file.

2026-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 99207945fb60e251c62343c7bd2cb5677e7e71e6
	aarch64: Add LD_PRELOAD tests for BTI handling

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/tst-bti-abort-unprot-preload.c: New file.
	* sysdeps/aarch64/tst-bti-dep-prot-preload.c: New file.
	* sysdeps/aarch64/tst-bti-mod-prot-preload.c: New file.
	* sysdeps/aarch64/tst-bti-mod-unprot-preload.c: New file.
	* sysdeps/aarch64/tst-bti-permissive-preload.c: New file.
	* sysdeps/aarch64/tst-bti-skeleton.c: Modified.
	(fun): Remove.
	[! FUN_ATTRIBUTE](FUN_ATTRIBUTE): New.
	(FUN_ATTRIBUTE): New.

2026-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ae627867479f4a86108da1d8c8773b1ecfb5e7d3
	Revert "x86: Do not use __builtin_fpclassify for _Float64x/long double"

	* bits/fp-builtin-denormal.h: Delete file.
	* math/Makefile: Modified.
	* math/math.h: Modified.
	[! __HAVE_DISTINCT_FLOAT128](__MATH_TG_BUILTIN_CLASSIFY): Remove.
	[__HAVE_DISTINCT_FLOAT128][! __HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][!(__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT32)](__MATH_TG_BUILTIN_CLASSIFY_F32): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][!(__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT64X)](__MATH_TG_BUILTIN_CLASSIFY_F64X): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT32](__MATH_TG_BUILTIN_CLASSIFY_F32): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT64X][! __HAVE_FLOAT64X_LONG_DOUBLE](__MATH_TG_BUILTIN_CLASSIFY_F64X): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT64X][__HAVE_FLOAT64X_LONG_DOUBLE](__MATH_TG_BUILTIN_CLASSIFY_F64X): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY_LDOUBLE): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY_F128): Remove.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY): Remove.
	[__NO_LONG_DOUBLE_MATH](__MATH_TG_BUILTIN_CLASSIFY): Remove.
	[__USE_ISOC99][((__GNUC_PREREQ (4,4) && ! __SUPPORT_SNAN__)		  || __glibc_clang_prereq (2,8))					  && (! __OPTIMIZE_SIZE__ ||  __cplusplus)](fpclassify): Modified.
	(bits/fp-builtin-denormal.h): Remove include.
	* sysdeps/x86/bits/fp-builtin-denormal.h: Delete file.
	* sysdeps/x86/fpu/Makefile: Modified.
	* sysdeps/x86/fpu/test-builtin-denormal.c: Delete file.

2026-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9e822788e509ac7ccd89ee4cdd40131c4eedd5fd
	Revert "x86: Do not use __builtin_isinf_sign for _Float64x/long double"

	* bits/fp-builtin-denormal.h: Modified.
	(__FP_BUILTIN_ISINF_SIGN_DENORMAL): Remove.
	* math/math.h: Modified.
	[__USE_ISOC99][(__GNUC_PREREQ (4,4) && ! __SUPPORT_SNAN__)  || __glibc_clang_prereq (3,7)](isinf): Modified.
	* sysdeps/x86/bits/fp-builtin-denormal.h: Modified.
	(__FP_BUILTIN_ISINF_SIGN_DENORMAL): Remove.
	* sysdeps/x86/fpu/test-builtin-denormal.c: Modified.
	(do_test): Modified function.

2026-01-13  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 5d1cb431aac44a0d9c8a2dff7ae074a4dc056f29
	aarch64: update NEWS for 2.43 release

	* NEWS: Modified.

2026-01-13  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 99b8ec8fd48a16672017f44adab2e6ed4ef30b3e
	aarch64: Add LD_DEBUG=security to log BTI and GCS warnings

	* elf/rtld.c: Modified.
	(process_dl_debug): Modified function.
	* elf/tst-dl-debug-protect.sh: New file.
	* manual/dynlink.texi: Modified.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/dl-bti.c: Modified.
	(_dl_bti_check): Modified function.
	(bti_warning): New function.
	* sysdeps/aarch64/dl-gcs.c: Modified.
	(check_gcs): Modified function.
	(warn): New function.
	* sysdeps/aarch64/tst-bti-ld-debug-both.c: New file.
	* sysdeps/aarch64/tst-bti-ld-debug-dlopen.c: New file.
	* sysdeps/aarch64/tst-bti-ld-debug-exe.c: New file.
	* sysdeps/aarch64/tst-bti-ld-debug-shared.c: New file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global_ro): Modified.
	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-ld-debug-both.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-ld-debug-dlopen.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-ld-debug-exe.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/tst-gcs-ld-debug-shared.c: New file.

2026-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 274441f62a61dd5329b3a20d8356759bd2ff2d93
	tst-if_nameindex.c: Fix minimum buffer size

	* inet/tst-if_nameindex.c: Modified.
	(do_test): Modified function.

2026-01-12  Sachin Monga  <smonga@linux.ibm.com>

	COMMIT: f05ab7c4a99bc24764580d0d0c7f9b9c7ae2afa1
	ldbl-128ibm-compat: Add local aliases for printf family symbols

	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf.c: Modified.
	(asm): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-printf.c: Modified.
	(asm): New function.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf.c: Modified.
	[! SHARED](ldbl_hidden_def): New.
	[SHARED](ldbl_hidden_def): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf.c: Modified.
	(asm): New function.

2026-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e56b3faf8d73e0aa0c73ee55e1648a26b156a93f
	math: Fix powerpc64le -Os build after 6b7067460f

	* sysdeps/ieee754/float128/s_fabsf128.c: Modified.
	[! __USE_EXTERN_INLINES](libm_alias_float128_r): Remove.
	[! __USE_EXTERN_INLINES && ! __OPTIMIZE_SIZE__](libm_alias_float128_r): New.

2026-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 422c3a5baf3cbe5d212c240bce99dbafed55d4ef
	x86: Fix x86_64 build failure with -Os (BZ 33367)

	* sysdeps/ieee754/dbl-64/s_modf.c: Modified.
	(__modf): Modified function.
	* sysdeps/ieee754/flt-32/s_modff.c: Modified.
	(__modff): Modified function.
	* sysdeps/x86_64/fpu/multiarch/s_modf-avx.c: Modified.
	(TRUNC): New.
	* sysdeps/x86_64/fpu/multiarch/s_modf-sse4_1.c: Modified.
	(TRUNC): New.
	* sysdeps/x86_64/fpu/multiarch/s_modff-avx.c: Modified.
	(TRUNCF): New.
	* sysdeps/x86_64/fpu/multiarch/s_modff-sse4_1.c: Modified.
	(TRUNCF): New.

2026-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8efe2b03db6591139e10a90462308cb3afe302bc
	math: Sync acosh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-acosh: Modified.
	* sysdeps/ieee754/dbl-64/ddcoremath.h: Modified.
	* sysdeps/ieee754/dbl-64/e_acosh.c: Modified.
	(as_acosh_one): Modified function.
	(__ieee754_acosh): Modified function.
	(as_acosh_refine): Modified function.

2026-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 05b46df987eef671ab7e45f555a2c8b25cc570ae
	math: Sync atanh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atanh: Modified.
	* sysdeps/ieee754/dbl-64/ddcoremath.h: Modified.
	(polydd): Modified function.
	(muldd_acc2): New function.
	(mulddd3): New function.
	(polydd3): New function.
	* sysdeps/ieee754/dbl-64/e_atanh.c: Modified.
	(as_atanh_zero): Modified function.
	* sysdeps/ieee754/dbl-64/s_atanh_data.c: Modified.
	(__atanh_ch): Modified.
	(__atanh_cl): Modified.

2026-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eafea63c11550230650c966a619d9894b37a82a7
	math: Sync asinh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-asinh: Modified.
	* sysdeps/ieee754/dbl-64/ddcoremath.h: Modified.
	(muldd): Remove function.
	(polydd): Modified function.
	(muldd_acc): New function.
	* sysdeps/ieee754/dbl-64/e_acosh.c: Modified.
	(as_acosh_one): Modified function.
	(as_acosh_refine): Modified function.
	* sysdeps/ieee754/dbl-64/e_atanh.c: Modified.
	(as_atanh_zero): Modified function.
	(__ieee754_atanh): Modified function.
	(as_atanh_refine): Modified function.
	* sysdeps/ieee754/dbl-64/s_asinh.c: Modified.
	(as_asinh_zero): Modified function.
	(__asinh): Modified function.
	(as_asinh_refine): Modified function.

2026-01-12  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 0ca2eb11946de5f73c643e295ca17cedc6c981a3
	aarch64: Fix error messages for GCS and BTI incompatible modules

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/dl-bti.c: Modified.
	(bti_failed): Modified function.
	* sysdeps/aarch64/dl-gcs.c: Modified.
	(fail): Modified function.
	(unsupported): Modified function.
	* sysdeps/aarch64/tst-bti-abort-static.c: Modified.
	(do_test): Modified function.
	(sys/auxv.h): Include file.

2026-01-11  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e539a269990dac3ff4d2432c0eb6966a5ee4f274
	hurd: Fix sigreturn clobbering some xmm registers

	* hurd/hurdsig.c: Modified.
	(libc_hidden_def): Modified.
	(sigstate_is_global_rcv): Remove function.
	(libc_hidden_def): Modified.
	(_hurd_sigstate_lock): Remove function.
	(libc_hidden_def): Modified.
	(_hurd_sigstate_unlock): Remove function.
	(libc_hidden_def): Remove.
	(_hurd_sigstate_pending): Modified function.
	(libc_hidden_def): Remove.
	(sigstate_clear_pending): Modified function.
	(_hurd_sigstate_actions): Modified function.
	(post_signal): Modified function.
	* sysdeps/hurd/include/hurd/signal.h: Modified.
	[!	_HURD_SIGNAL_H][! _ISOMAC][__USE_EXTERN_INLINES && IS_IN (libc)](_hurd_sigstate_is_global_rcv): New function.
	[!	_HURD_SIGNAL_H][! _ISOMAC][__USE_EXTERN_INLINES && IS_IN (libc)](_hurd_sigstate_lock): New function.
	[!	_HURD_SIGNAL_H][! _ISOMAC][__USE_EXTERN_INLINES && IS_IN (libc)](_hurd_sigstate_unlock): New function.
	[!	_HURD_SIGNAL_H][! _ISOMAC](libc_hidden_proto): Modified.
	[!	_HURD_SIGNAL_H][! _ISOMAC](libc_hidden_proto): Modified.
	[!	_HURD_SIGNAL_H][! _ISOMAC](libc_hidden_proto): Modified.
	[!	_HURD_SIGNAL_H][! _ISOMAC](libc_hidden_proto): Modified.
	[!	_HURD_SIGNAL_H][! _ISOMAC](libc_hidden_proto): New.
	[!	_HURD_SIGNAL_H][_HURD_SIGNAL_H_HIDDEN_DEF](libc_hidden_def): New.
	[!	_HURD_SIGNAL_H][_HURD_SIGNAL_H_HIDDEN_DEF](libc_hidden_def): New.
	[!	_HURD_SIGNAL_H][_HURD_SIGNAL_H_HIDDEN_DEF](libc_hidden_def): New.
	[!	_HURD_SIGNAL_H](_hurd_sigstate_is_global_rcv): New function.
	* sysdeps/mach/hurd/x86/Makefile: Modified.

2026-01-09  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: bcf231ec71183a343449af69550562ecd969a97f
	Linux: test sizes larger than UINT_MAX for copy_file_range

	* support/fuse.h: Modified.
	(support_fuse_payload_type_COPY_FILE_RANGE_64): New.
	* sysdeps/unix/sysv/linux/tst-copy_file_range-large.c: Modified.
	(fuse_thread): Modified function.
	(test_size): Modified function.
	(test_all_sizes): Modified function.
	(stdatomic.h): Include file.
	(fuse_has_copy_file_range_64): New.
	(file_size): New.
	(<anonymous>): New.
	(verify_fuse_request): New function.

2026-01-09  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: ee77bb99b76bc2b1dba6e47371e403b2b9aef619
	Update the bundled <linux/fuse.h> userspace header from Linux 6.18

	* support/bundled/linux/include/uapi/linux/fuse.h: Modified.
	(FUSE_KERNEL_MINOR_VERSION): Modified.
	(fuse_opcode): Modified.
	(fuse_notify_code): Modified.
	(fuse_init_out): Modified.
	(FUSE_ALLOW_IDMAP): New.
	(FUSE_OVER_IO_URING): New.
	(FUSE_REQUEST_TIMEOUT): New.
	(FUSE_INVALID_UIDGID): New.
	(fuse_notify_prune_out): New.
	(FUSE_DEV_IOC_SYNC_INIT): New.
	(fuse_copy_file_range_out): New.
	(FUSE_URING_IN_OUT_HEADER_SZ): New.
	(FUSE_URING_OP_IN_OUT_SZ): New.
	(fuse_uring_ent_in_out): New.
	(fuse_uring_req_header): New.
	(fuse_uring_cmd): New.
	(fuse_uring_cmd_req): New.

2026-01-09  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: dc700cc2c698540405a69d5dd00c6d0f47dccff0
	Linux: fix copy_file_range test on Linux >= 6.18

	* sysdeps/unix/sysv/linux/tst-copy_file_range-large.c: Modified.
	(fuse_thread): Modified function.

2026-01-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 78fdb2d6b1c34ea8e779fd48f9436dfbd50b6387
	Switch currency symbol for the bg_BG locale to euro

	* localedata/locales/bg_BG: Modified.

2026-01-05  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 755798985d0dc2438c546851f926087158955614
	aarch64: Fix PT_GNU_PROPERTY checks for static exe (BZ 33713)

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/tst-bti-abort-static.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc-start.h: Modified.
	[! SHARED](aarch64_libc_setup_tls): Modified function.

2026-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 063d6815f3e3024801ee257741263bfe891d92f7
	tst-sig-redzone: Decorate assembly function

	* sysdeps/mach/hurd/x86_64/tst-sig-redzone.c: Modified.
	(asm): Modified.

2026-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d942f309e3a93dd35c607fe41009f4357ba1d482
	hurd: check that signal processing does not hurt the x86_64 redzone

	* sysdeps/mach/hurd/x86_64/Makefile: Modified.
	* sysdeps/mach/hurd/x86_64/tst-sig-redzone.c: New file.

2026-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b61699f95bae56bc16d341a4f5f0b87ebca7dcca
	hurd: also test mmx state restoration

	* hurd/test-sig-rpc-interrupted.c: Modified.
	(handler): Modified function.
	* hurd/test-sig-xstate.c: Modified.
	(loopflag): Modified.
	(handler): Modified function.
	(signal_sender): Modified function.
	(do_test): Modified function.
	(stdatomic.h): Include file.
	(startflag): New.
	* hurd/test-xstate.h: Modified.
	[!(__x86_64__ ||  __i386__)](MMXSTATE_BUFFER_SIZE): New.
	[__x86_64__ ||  __i386__](MMXSTATE_BUFFER_SIZE): New.
	[__x86_64__ ||  __i386__](SET_MMXSTATE): New.
	[__x86_64__ ||  __i386__](GET_MMXSTATE): New.

2026-01-04  Joan Lledó  <jlledom@member.fsf.org>

	COMMIT: 9307ff1073a9f071764cf7c401b6e72e1577d7a4
	mach/hurd: add `bits/in.h`

	* sysdeps/mach/hurd/bits/in.h: New file.

2026-01-03  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: a4669376d0ce5954d82f022f6894bb63e24f3cc9
	Better terminology for ‘long double’ in manual

	* manual/math.texi: Modified.

2026-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 2e9ed6f045ddca7e835cb07f8298426de73920be
	Update copyright dates not handled by scripts/update-copyrights

	* locale/programs/charmap-kw.h: Modified.
	* locale/programs/locfile-kw.h: Modified.
	* malloc/mtrace.pl: Modified.
	* scripts/test-installation.pl: Modified.

2026-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 66f3e9219d8f86b977d9be04ad469b5d72af0da2
	Update copyright dates with scripts/update-copyrights

	* Suppressing diff as too many files differ.

2026-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: a9bf6a2a90fe99c2766004128757a1b24259d194
	Pass glibc pre-commit checks

	* elf/sprof.c: Modified.
	* misc/tst-atomic.c: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd_getinfo.c: Modified.

2025-12-29  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 6c8af6a43cbfc082f4340cde2deb788729c12bd9
	malloc_info: fix closing </sizes> tag typo

	* malloc/malloc.c: Modified.
	(__malloc_info): Modified function.

2025-12-25  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: b71d59074b98ad4abd23c136ec9ad4c26e29ee6d
	LoongArch: Use generic __builtin_trap in abort.

	* sysdeps/loongarch/abort-instr.h: Delete file.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bd569425330c6f5644c232b4b253e9ab905fcdba
	malloc: Fix clang build after 1c588a2187

	* malloc/malloc.c: Modified.
	(thp_init): Modified function.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d8561d15529d653fe4460c084dbd2580772bb1ee
	elf: Fix elf/tst-decorate-maps on aarch64 after 321e1fc73f

	* elf/tst-decorate-maps.c: Modified.
	(do_test_threads): Modified function.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2b00b3a890c38747c10be6464e83903114431b83
	misc: Enable tst-atomic for clang

	* misc/tst-atomic.c: Modified.
	[! __clang__][! atomic_t](atomic_t): Remove.
	[! __clang__](stdio.h): Remove.
	[! __clang__](atomic.h): Remove.
	[! __clang__](do_test): Remove.
	[! __clang__](support/test-driver.c): Remove.
	[__clang__](support/test-driver.h): Remove.
	[__clang__](main): Remove.
	[! atomic_t](atomic_t): New.
	(stdio.h): Include file.
	(atomic.h): Include file.
	(do_test): New function.
	(support/test-driver.c): Include file.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7be72e37e6ab0160da79c667c6d68bd384ae38f2
	math: Use math_opt_barrier on ldbl-128 powl underflow/overflow handling

	* sysdeps/ieee754/ldbl-128/e_powl.c: Modified.
	(__ieee754_powl): Modified function.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bc78f67ca122f77341ece4275e9b9a38349d9c37
	stdio: Fix tst-vfprintf-user-type on clang

	* stdio-common/tst-vfprintf-user-type.c: Modified.
	(do_test): Modified function.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 999cd617cb7e40a2fa719e91fe1028c853ae14d5
	x86: Do not use __builtin_isinf_sign for _Float64x/long double

	* bits/fp-builtin-denormal.h: Modified.
	(__FP_BUILTIN_ISINF_SIGN_DENORMAL): New.
	* math/math.h: Modified.
	[__USE_ISOC99][(__GNUC_PREREQ (4,4) && ! __SUPPORT_SNAN__)  || __glibc_clang_prereq (3,7)](isinf): Modified.
	* sysdeps/x86/bits/fp-builtin-denormal.h: Modified.
	(__FP_BUILTIN_ISINF_SIGN_DENORMAL): New.
	* sysdeps/x86/fpu/test-builtin-denormal.c: Modified.
	(do_test): Modified function.

2025-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 50112103993b042f52fb6afb0e4eee24fe4cb9af
	x86: Do not use __builtin_fpclassify for _Float64x/long double

	* bits/fp-builtin-denormal.h: New file.
	* math/Makefile: Modified.
	* math/math.h: Modified.
	[! __HAVE_DISTINCT_FLOAT128](__MATH_TG_BUILTIN_CLASSIFY): New.
	[__HAVE_DISTINCT_FLOAT128][! __HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][!(__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT32)](__MATH_TG_BUILTIN_CLASSIFY_F32): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][!(__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT64X)](__MATH_TG_BUILTIN_CLASSIFY_F64X): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT32](__MATH_TG_BUILTIN_CLASSIFY_F32): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT64X][! __HAVE_FLOAT64X_LONG_DOUBLE](__MATH_TG_BUILTIN_CLASSIFY_F64X): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION][__HAVE_FLOATN_NOT_TYPEDEF && __HAVE_FLOAT64X][__HAVE_FLOAT64X_LONG_DOUBLE](__MATH_TG_BUILTIN_CLASSIFY_F64X): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY_LDOUBLE): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY_F128): New.
	[__HAVE_DISTINCT_FLOAT128][__HAVE_GENERIC_SELECTION](__MATH_TG_BUILTIN_CLASSIFY): New.
	[__NO_LONG_DOUBLE_MATH](__MATH_TG_BUILTIN_CLASSIFY): New.
	[__USE_ISOC99][((__GNUC_PREREQ (4,4) && ! __SUPPORT_SNAN__)		  || __glibc_clang_prereq (2,8))					  && (! __OPTIMIZE_SIZE__ ||  __cplusplus)](fpclassify): Modified.
	(bits/fp-builtin-denormal.h): Include file.
	* sysdeps/x86/bits/fp-builtin-denormal.h: New file.
	* sysdeps/x86/fpu/Makefile: Modified.
	* sysdeps/x86/fpu/test-builtin-denormal.c: New file.

2025-12-22  Sergey Kolosov  <skolosov@redhat.com>

	COMMIT: 81763a4f7ea1c0ac0e1f475bf92440b908624301
	resolv: Add test for NOERROR/NODATA handling [BZ #14308]

	* resolv/Makefile: Modified.
	* resolv/tst-resolv-af-unspec-noerror-nodata.c: New file.

2025-12-19  Yao Zihong  <zihong.plct@isrc.iscas.ac.cn>
            Jerry Shih  <jerry.shih@sifive.com>
            Jeff Law  <jeffreyalaw@gmail.com>

	COMMIT: 0b8a996f44b5f4c02991f02cd12bf05b17db4576
	riscv: Add RVV memset for both multiarch and non-multiarch builds

	* sysdeps/riscv/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/riscv/multiarch/memset-generic.c: New file.
	* sysdeps/riscv/multiarch/memset-vector.S: New file.
	* sysdeps/riscv/preconfigure: Modified.
	* sysdeps/riscv/preconfigure.ac: Modified.
	* sysdeps/riscv/rv32/rvv/Implies: New file.
	* sysdeps/riscv/rv64/rvv/Implies: New file.
	* sysdeps/riscv/rvv/memset.S: New file.
	* sysdeps/unix/sysv/linux/riscv/multiarch/Makefile: Modified.
	* sysdeps/unix/sysv/linux/riscv/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/unix/sysv/linux/riscv/multiarch/memset.c: New file.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 65f55bb7e5403b7977ace2f6f0698fd5732720dc
	stdlib: Avoid strlen plt with clang

	* sysdeps/generic/symbol-hacks.h: Modified.
	(strlen): New.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 42b4589f28b1aae4ddc6df33a1874fce68486647
	math: Do not use __builtin_isgreater* and __builtin_isless* on clang

	* math/math.h: Modified.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9021707ca79ce6f421f29a189630df860598cf15
	elf: Support vDSO with more than one PT_LOAD with v_addr starting at 0 (BZ 32583)

	* elf/setup-vdso.h: Modified.
	(setup_vdso): Modified function.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 440108ce9e2dd02706b857c7289076a3fe286d25
	nptl: Make pthread_{clock, timed}join{_np} act on all cancellation (BZ 33717)

	* nptl/Makefile: Modified.
	* nptl/pthread_join_common.c: Modified.
	(__pthread_clockjoin_ex): Modified function.
	* nptl/tst-cancel34.c: New file.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 793f68010146984d9f5d1bcfda58006b0033ab76
	support: Add support_thread_state_wait

	* support/process_state.h: Modified.
	(support_thread_state_wait): New function.
	* support/support_process_state.c: Modified.
	(support_process_state_wait): Modified function.
	(errno.h): Include file.
	(support_process_state_wait_common): New function.
	(support_thread_state_wait): New function.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f7648bf44384118b6658ddcd741408fc4fbdd056
	nptl: Remove INVALID_TD_P

	* nptl/pthread_getcpuclockid.c: Modified.
	(__pthread_getcpuclockid): Modified function.
	* nptl/pthread_getschedparam.c: Modified.
	(__pthread_getschedparam): Modified function.
	* nptl/pthread_setschedparam.c: Modified.
	(__pthread_setschedparam): Modified function.
	* nptl/pthread_setschedprio.c: Modified.
	(__pthread_setschedprio): Modified function.
	* sysdeps/nptl/pthreadP.h: Modified.
	(INVALID_TD_P): Remove.
	(__pthread_descriptor_valid): New function.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-pthread-exited.c: New file.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5da15b15adab661c80e373b6af89be0b5fa5b3ad
	nptl: Do not use pthread set_tid_address as state synchronization (BZ #19951)

	* nptl/descr.h: Modified.
	(pthread): Modified.
	(<anonymous>): New.
	* nptl/nptl-stack.h: Modified.
	(__nptl_stack_in_use): Modified function.
	* nptl/pthread_cancel.c: Modified.
	(__pthread_cancel): Modified function.
	* nptl/pthread_create.c: Modified.
	(create_thread): Modified function.
	(start_thread): Modified function.
	(__pthread_create_2_1): Modified function.
	* nptl/pthread_detach.c: Modified.
	(___pthread_detach): Modified function.
	* nptl/pthread_getattr_np.c: Modified.
	(__pthread_getattr_np): Modified function.
	* nptl/pthread_join_common.c: Modified.
	(cleanup): Remove function.
	(__pthread_clockjoin_ex): Modified function.
	* nptl/pthread_tryjoin.c: Modified.
	(__pthread_tryjoin_np): Modified function.
	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	(__tls_init_tp): Modified function.
	* sysdeps/nptl/libc_start_call_main.h: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](__libc_start_call_main): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](__libc_start_call_main): Modified function.
	(futex-internal.h): Include file.
	* sysdeps/nptl/pthreadP.h: Modified.
	(INVALID_NOT_TERMINATED_TD_P): Remove.
	* sysdeps/pthread/tst-thrd-detach.c: Modified.
	(detach_thrd): Modified function.
	(do_test): Modified function.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2d865eaa12def42a713b279dba992536ee372ca8
	nptl: Set cancellation type and state on pthread_exit (BZ #28267)

	* nptl/Makefile: Modified.
	* nptl/tst-cleanup5.c: New file.
	* sysdeps/nptl/pthreadP.h: Modified.
	(__do_cancel): Modified function.

2025-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0d5f77cd3a8fe9ad7fbc8071f956c4f5d93677b7
	nptl: Use __futex_abstimed_wait64 on pthread_create (BZ 33715)

	* nptl/Makefile: Modified.
	* nptl/pthread_create.c: Modified.
	(__pthread_create_2_1): Modified function.
	* nptl/tst-cancel33.c: New file.

2025-12-19  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 51163019434465d86160765d996e6c7a5b2bb5a9
	build-many-glibcs.py: Fix s390x-linux-gnu.

	* scripts/build-many-glibcs.py: Modified.

2025-12-19  Uros Bizjak  <ubizjak@gmail.com>

	COMMIT: 342f456ff5ac567fc65c959ef9529fb3a9152b8a
	hurd/i386: Remove stale __GNUC_PREREQ (6, 0) test from tls.h

	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_SELF): Remove.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_GETMEM): Remove.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_GETMEM_NC): Remove.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_SETMEM): Remove.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_SETMEM_NC): Remove.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_SELF): Remove.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_GETMEM): Remove.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_GETMEM_NC): Remove.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_SETMEM): Remove.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_SETMEM_NC): Remove.
	[! __ASSEMBLER__](THREAD_SELF): New.
	[! __ASSEMBLER__](THREAD_GETMEM): New.
	[! __ASSEMBLER__](THREAD_GETMEM_NC): New.
	[! __ASSEMBLER__](THREAD_SETMEM): New.
	[! __ASSEMBLER__](THREAD_SETMEM_NC): New.

2025-12-18  Sunil K Pandey  <sunil.k.pandey@intel.com>
            Alex M Wells  <alex.m.wells@intel.com>

	COMMIT: 63716823dbad9482e09972907ae98e9cb00f9b86
	nptl: Optimize trylock for high cache contention workloads (BZ #33704)

	* nptl/pthread_mutex_trylock.c: Modified.
	(___pthread_mutex_trylock): Modified function.

2025-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 15e0560ad32d85be2d9e7e53cd51dd5e1e851c16
	Regenerate sysdeps/x86_64/configure

	* sysdeps/x86_64/configure: Modified.

2025-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: faca1b55e0219f595e77fec2f8ffaa54d42f6a72
	x86_64: Fix mark-plt configure test

	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2025-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7d9a8408ec9741caacdea3fb30cee877a836e69a
	math: Fix potential underflow on ldbl-128 erfl

	* sysdeps/ieee754/ldbl-128/s_erfl.c: Modified.
	(__erfl): Modified function.

2025-12-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 9da0585852e5599ad6e849ccdf2f6f9b04038a3c
	atomic: Reinstate HAVE_64B_ATOMICS configure check

	* config.h.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* include/atomic.h: Modified.
	[USE_64B_ATOMICS != 1](__atomic_check_size): Remove.
	[USE_64B_ATOMICS != 1](__atomic_check_size_ls): Remove.
	[USE_64B_ATOMICS == 1](__atomic_check_size): Remove.
	[USE_64B_ATOMICS == 1](__atomic_check_size_ls): Remove.
	(atomic_compare_and_exchange_val_acq): Modified.
	(atomic_compare_and_exchange_val_rel): Modified.
	(atomic_compare_and_exchange_bool_acq): Modified.
	(__atomic_link_error): Remove.
	(atomic_thread_fence_acquire): Modified.
	(atomic_thread_fence_release): Modified.
	(atomic_thread_fence_seq_cst): Modified.
	(atomic_load_relaxed): Modified.
	(atomic_load_acquire): Modified.
	(atomic_store_relaxed): Modified.
	(atomic_store_release): Modified.
	(__atomic_check_size): New.
	* include/atomic_wide_counter.h: Modified.
	[! USE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): Remove.
	[! USE_64B_ATOMICS](__atomic_wide_counter_load_acquire): Remove.
	[! USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): Remove.
	[! USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): Remove.
	[! USE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): Remove.
	[USE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): Remove.
	[USE_64B_ATOMICS](__atomic_wide_counter_load_acquire): Remove.
	[USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): Remove.
	[USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): Remove.
	[USE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): Remove.
	[USE_64B_ATOMICS](__atomic_wide_counter_fetch_xor_release): Remove.
	[! HAVE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): New.
	[! HAVE_64B_ATOMICS](__atomic_wide_counter_load_acquire): New.
	[! HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): New.
	[! HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): New.
	[! HAVE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): New.
	[HAVE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): New.
	[HAVE_64B_ATOMICS](__atomic_wide_counter_load_acquire): New.
	[HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): New.
	[HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): New.
	[HAVE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): New.
	[HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_xor_release): New.
	* misc/atomic_wide_counter.c: Modified.
	[!USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): Remove.
	[!USE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): Remove.
	[!HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): New.
	[!HAVE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): New.
	* nptl/pthread_cond_common.c: Modified.
	[USE_64B_ATOMICS != 1](__condvar_fetch_xor_wseq_release): Remove.
	[USE_64B_ATOMICS == 1](__condvar_fetch_xor_wseq_release): Remove.
	[HAVE_64B_ATOMICS != 1](__condvar_fetch_xor_wseq_release): New.
	[HAVE_64B_ATOMICS == 1](__condvar_fetch_xor_wseq_release): New.
	* stdlib/setenv.h: Modified.
	[! USE_64B_ATOMICS](environ_counter): Remove.
	[USE_64B_ATOMICS](environ_counter): Remove.
	[! HAVE_64B_ATOMICS](environ_counter): New.
	[HAVE_64B_ATOMICS](environ_counter): New.
	* sysdeps/alpha/atomic-machine.h: Modified.
	(_next <atomic-machine.h): Remove include.
	(stdint.h): Include file.
	* sysdeps/generic/atomic-machine.h: Modified.
	[__WORDSIZE != 64](USE_64B_ATOMICS): Remove.
	[__WORDSIZE == 64](USE_64B_ATOMICS): Remove.
	(bits/wordsize.h): Remove include.
	* sysdeps/generic/atomic-sem_t.h: Modified.
	[!(USE_64B_ATOMICS && (SEM_T_ALIGN >= 8  ||  HAVE_UNALIGNED_64B_ATOMICS))](USE_64B_ATOMICS_ON_SEM_T): Remove.
	[USE_64B_ATOMICS && (SEM_T_ALIGN >= 8  ||  HAVE_UNALIGNED_64B_ATOMICS)](USE_64B_ATOMICS_ON_SEM_T): Remove.
	[!(HAVE_64B_ATOMICS && (SEM_T_ALIGN >= 8  ||  HAVE_UNALIGNED_64B_ATOMICS))](USE_64B_ATOMICS_ON_SEM_T): New.
	[HAVE_64B_ATOMICS && (SEM_T_ALIGN >= 8  ||  HAVE_UNALIGNED_64B_ATOMICS)](USE_64B_ATOMICS_ON_SEM_T): New.
	* sysdeps/nptl/rseq-access.h: Modified.
	[! USE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): Remove.
	[USE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): Remove.
	[! HAVE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): New.
	[HAVE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): New.
	* sysdeps/riscv/atomic-machine.h: Modified.
	[__riscv_atomic](_next <atomic-machine.h): Remove include.
	* sysdeps/sparc/atomic-machine.h: Modified.
	(_SPARC_ATOMIC_MACHINE_H): Modified.
	(_next <atomic-machine.h): Remove include.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Makefile: Modified.
	* sysdeps/x86/atomic-machine.h: Modified.
	[! __x86_64__](USE_64B_ATOMICS): Remove.
	[__x86_64__](USE_64B_ATOMICS): Remove.

2025-12-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 1c588a2187a4f348ec155a1441784b51891bb667
	malloc: Improve thp_init

	* malloc/malloc.c: Modified.
	(thp_init): Remove.
	(void): Modified.
	(madvise_thp): Modified function.
	(sysmalloc): Modified function.
	(void): Modified.
	(void): Modified.
	(do_set_hugetlb): Modified function.
	(void): Modified.
	(thp_init): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/malloc-hugepages.h: Modified.
	(DEFAULT_THP_PAGESIZE): Modified.

2025-12-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fcd88791e991f3eeb9d36845fbaf2f9f1db0f07d
	linux: Update kernel version to 6.17 in tst-openat2-consts.py

	* sysdeps/unix/sysv/linux/tst-openat2-consts.py: Modified.

2025-12-17  Jiayuan Chen  <jiayuan.chen@linux.dev>

	COMMIT: 7e46c2aae47d3284d4eb0845ddcc3951e987d681
	Updates struct tcp_info and TCP_AO_XX corresponding struct from 6.17 to netinet/tcp.h

	* sysdeps/gnu/netinet/tcp.h: Modified.
	[__USE_MISC](tcp_info): Modified.
	[__USE_MISC](<anonymous>): Modified.
	[__USE_MISC](tcp_diag_md5sig): New.
	[__USE_MISC](TCP_AO_MAXKEYLEN): New.
	[__USE_MISC](TCP_AO_KEYF_IFINDEX): New.
	[__USE_MISC](TCP_AO_KEYF_EXCLUDE_OPT): New.
	[__USE_MISC](tcp_ao_add): New.
	[__USE_MISC](tcp_ao_del): New.
	[__USE_MISC](tcp_ao_info_opt): New.
	[__USE_MISC](tcp_ao_getsockopt): New.
	[__USE_MISC](tcp_ao_repair): New.
	[__USE_MISC](<anonymous>): New.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: 0b9210bd760b5281f2e9f3e6640368ccb5f4a7ae
	malloc: set default tcache fill count to 16

	* malloc/malloc.c: Modified.
	[USE_TCACHE](TCACHE_FILL_COUNT): Modified.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: dacc2ade92aec7add5db3d86abb00f78791c3056
	malloc: Remove fastbin comments

	* malloc/malloc.c: Modified.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: bb5a4f5295ced26532939703867c35f2ce8c149b
	malloc: Remove fastbin infrastructure

	* malloc/arena.c: Modified.
	(TUNABLE_CALLBACK_FNDECL): Modified.
	(TUNABLE_CALLBACK_FNDECL): Remove.
	(__ptmalloc_init): Modified function.
	* malloc/malloc.c: Modified.
	[! DEFAULT_MXFAST](DEFAULT_MXFAST): Remove.
	[! M_MXFAST](M_MXFAST): Remove.
	(mfastbinptr): Remove.
	(fastbin): Remove.
	(fastbin_index): Remove.
	(MAX_FAST_SIZE): Remove.
	(NFASTBINS): Remove.
	(global_max_fast): Remove.
	(set_max_fast): Remove.
	(get_max_fast): Remove function.
	(malloc_state): Modified.
	(malloc_init_state): Modified function.
	(do_set_mxfast): Modified function.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: 73245de2024a494201ec6356070a4155bbe23185
	malloc: Remove do_check_remalloced_chunk

	* malloc/malloc.c: Modified.
	[!MALLOC_DEBUG](check_remalloced_chunk): Remove.
	[MALLOC_DEBUG](check_remalloced_chunk): Remove.
	[MALLOC_DEBUG](do_check_remalloced_chunk): Remove function.
	[MALLOC_DEBUG](do_check_malloced_chunk): Modified function.
	[MALLOC_DEBUG](void): Remove.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: 7447efa9622cb33a567094833f6c4000b3ed2e23
	malloc: remove fastbin code from malloc_info

	* malloc/malloc.c: Modified.
	(__malloc_info): Modified function.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: 433ee9c02f8c4591c71e7a8904364d70976eef79
	malloc: remove fastbin code from do_check_malloc_state

	* malloc/malloc.c: Modified.
	[MALLOC_DEBUG](do_check_malloc_state): Modified function.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: 80ee32910f848a17e067965d195336180155e9ea
	malloc: remove mallopt fastbin stats

	* malloc/malloc.c: Modified.
	(int_mallinfo): Modified function.
	(__libc_mallinfo): Modified function.
	* malloc/malloc.h: Modified.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: bf1015fb2d7e4057925481960626533f8571a2fb
	malloc: remove allocation from fastbin, and trim_fastbins

	* malloc/malloc.c: Modified.
	[! TRIM_FASTBINS](TRIM_FASTBINS): Remove.
	(_int_malloc): Modified function.
	(_int_free_chunk): Modified function.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: e3062b06c5767f672baf9574c4d7cbebf7d0ee6e
	malloc: remove malloc_consolidate

	* malloc/malloc.c: Modified.
	(_int_free_maybe_consolidate): Remove.
	(FASTBIN_CONSOLIDATION_THRESHOLD): Remove.
	(malloc_state): Modified.
	(malloc_init_state): Modified function.
	(malloc_consolidate): Remove.
	(_int_malloc): Modified function.
	(_int_free_chunk): Modified function.
	(_int_free_merge_chunk): Modified function.
	(_int_free_maybe_consolidate): Remove function.
	(malloc_consolidate): Remove function.
	(_int_memalign): Modified function.
	(mtrim): Modified function.
	(__libc_mallopt): Modified function.
	(_int_free_maybe_trim): New function.
	(ATTEMPT_TRIMMING_THRESHOLD): New.
	(_int_free_maybe_trim): New function.

2025-12-17  Dev Jain  <dev.jain@arm.com>

	COMMIT: 7632ba6018ae22571d05247e260007a7c7770800
	malloc: remove fastbin tests

	* benchtests/bench-malloc-simple.c: Modified.
	* malloc/Makefile: Modified.
	* malloc/tst-mxfast.c: Delete file.
	* malloc/tst-safe-linking.c: Modified.
	(MALLOC_CONSOLIDATE_SIZE): Remove.
	(test_fastbin): Remove function.
	(test_fastbin_consolidate): Remove function.
	(do_test): Modified function.

2025-12-17  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 638d437dbf9c68e40986edaa9b0d1c2e72a1ae81
	Deprecate s390-linux-gnu (31bit)

	* NEWS: Modified.
	* scripts/build-many-glibcs.py: Modified.

2025-12-16  Sunil K Pandey  <sunil.k.pandey@intel.com>

	COMMIT: eba6ed454f3023080bebd2e2f875071123bc2668
	benchtests: Add pthread mutex trylock recursive throughput test (BZ #33704)

	* benchtests/Makefile: Modified.
	* benchtests/bench-pthread-mutex-trylock-recursive-throughput.c: New file.

2025-12-16  Sunil K Pandey  <sunil.k.pandey@intel.com>

	COMMIT: c1e8d1fdd9174675323225226feae167e44dbc73
	benchtests: Refactor pthread trylock throughput test (BZ #33704)

	* benchtests/bench-pthread-mutex-trylock-base.c: New file.
	* benchtests/bench-pthread-mutex-trylock-throughput.c: Modified.
	(TEST_MAIN): Remove.
	(TIMEOUT): Remove.
	(stdio.h): Remove include.
	(stdlib.h): Remove include.
	(string.h): Remove include.
	(unistd.h): Remove include.
	(math.h): Remove include.
	(pthread.h): Remove include.
	(sys/time.h): Remove include.
	(sys/sysinfo.h): Remove include.
	(bench-timing.h): Remove include.
	(bench-util.h): Remove include.
	(json-lib.h): Remove include.
	(ITERS): Remove.
	(RUN_COUNT): Remove.
	(mutex): Remove.
	(counter): Remove.
	(worker): Remove function.
	(do_bench_one): Remove function.
	(do_bench): Remove function.
	(TEST_FUNCTION): Remove.
	(support/test-driver.c): Remove include.
	(PTHREAD_MUTEX_TYPE_INITIALIZER): New.
	(bench-pthread-mutex-trylock-base.c): Include file.

2025-12-13  Sunil K Pandey  <sunil.k.pandey@intel.com>
            Alex M Wells  <alex.m.wells@intel.com>

	COMMIT: ded9c1e525f2d69a81e61c34c29077fed7df658c
	benchtests: Add pthread mutex trylock throughput test (BZ #33704)

	* benchtests/Makefile: Modified.
	* benchtests/bench-pthread-mutex-trylock-throughput.c: New file.

2025-12-11  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: f56382e67e73c0b309c7e39c6b122b04b29b6808
	posix: Fix getconf symbolic constants defined in limits.h (BZ# 29147)

	* posix/Makefile: Modified.
	* posix/getconf.c: Modified.
	(conf): Modified.
	(print_all): Modified function.
	(main): Modified function.
	* posix/tst-getconf-limits.py: New file.

2025-12-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 910c6bdcf66aec6c455cf455a66a3388ecf6412e
	configure: use TEST_CC to check for --depaudit

	* configure: Modified.
	* configure.ac: Modified.

2025-12-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a8455a0b7f9288aca4eaa103f94fe8f55d750f1b
	configure: use TEST_CC to check for --no-error-execstack

	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2025-12-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 522310e26b8f6e7b2e558cce01349b4ab9073431
	manual: Fix madvise typo in mseal documentation

	* manual/memory.texi: Modified.

2025-12-10  Dev Jain  <dev.jain@arm.com>

	COMMIT: 7cee1b4b40c6b0d6498a92decbfb397ef6ffe96a
	malloc: Enable 2MB THP by default on Aarch64

	* sysdeps/generic/malloc-hugepages.h: Modified.
	[! DEFAULT_THP_PAGESIZE](DEFAULT_THP_PAGESIZE): New.
	* sysdeps/unix/sysv/linux/aarch64/malloc-hugepages.h: New file.
	* sysdeps/unix/sysv/linux/malloc-hugepages.c: Modified.
	(__malloc_default_thp_pagesize): Modified function.

2025-12-10  Dev Jain  <dev.jain@arm.com>

	COMMIT: 321e1fc73f53081d92ba357cdd48c56b79292020
	malloc: Enable 2MB THP by default on Aarch64

	* malloc/malloc.c: Modified.
	(madvise_thp): Modified function.
	(sysmalloc): Modified function.
	(void): Modified.
	(thp_init): New function.
	(thp_init): New function.
	(void): New.

2025-12-10  Dev Jain  <dev.jain@arm.com>

	COMMIT: 26e6e4d51e26548f68c98bb69b349224b143488e
	malloc: Do not make out-of-bounds madvise call on non-aligned heap

	* malloc/malloc.c: Modified.
	(madvise_thp): Modified function.

2025-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0f0a5cd338998f4b603f52f3ce2163df0db7b814
	linux: Add openat2 (BZ 31664)

	* NEWS: Modified.
	* manual/llio.texi: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/fcntl-linux-fortify.h: New file.
	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU][__has_include][__has_include ("linux/openat2.h")](linux/openat2.h): New.
	[__USE_GNU][__has_include][__has_include ("linux/openat2.h")](__glibc_has_open_how): New.
	[__USE_GNU](bits/openat2.h): Include file.
	[__USE_GNU](openat2): New function.
	[__USE_FORTIFY_LEVEL > 0 &&  __forty_function](bits/fcntl-linux-fortify.h): New.
	* sysdeps/unix/sysv/linux/bits/openat2.h: New file.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/openat2.c: New file.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/tst-openat2-consts.py: New file.
	* sysdeps/unix/sysv/linux/tst-openat2-lfs.c: New file.
	* sysdeps/unix/sysv/linux/tst-openat2.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2025-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d89e3a77c496916505bd112f0802dee0420af953
	malloc: Extend malloc function hiding to tst-reallocarray (BZ #32366)

	* malloc/tst-malloc-aux.h: Modified.
	(reallocarray_indirect): New.
	(reallocarray): New.
	* malloc/tst-reallocarray.c: Modified.
	(tst-malloc-aux.h): Include file.

2025-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 54516bb385517d51329c31e2cbf4d5dfbae370f8
	malloc: Extend malloc function hiding to tst-pvalloc (BZ #32366)

	* malloc/tst-pvalloc.c: Modified.
	(tst-malloc-aux.h): Include file.

2025-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: be48ae12b10b0556895e356c3ae34b8ca229e61b
	configure: Enable experimental support for clang

	* NEWS: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2025-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 67b631db8750e614364ea24077865774f40bf8a9
	configure: Only use -Wno-discarded-qualifiers iff compiler supports it

	* configure: Modified.
	* configure.ac: Modified.
	* timezone/Makefile: Modified.

2025-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6b7067460f0ad8eb591735d21c60bcf3b52023df
	Handle clang -Wignored-attributes on weak aliases

	* Suppressing diff as too many files differ.

2025-12-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2677916d1ccd568951d3b3e29df7076648e157a2
	build-many-glibcs.py: Include URL in download exception

	* scripts/build-many-glibcs.py: Modified.

2025-12-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6afabde23ee0ad9d713fcebf9b1fd7c572a671af
	x32: Implement prctl in assembly

	* sysdeps/unix/sysv/linux/x86_64/x32/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/prctl.c: Move to...
	* sysdeps/unix/sysv/linux/x86_64/x32/prctl.S: ... here.
	* sysdeps/unix/sysv/linux/x86_64/x32/tst-prctl-x32.c: New file.

2025-12-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f56a71097f39f2737e76b3807201a4028e06c611
	build-many-glibcs.py: Switch Git URLs to https://

	* scripts/build-many-glibcs.py: Modified.

2025-12-05  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 866fa41ef8521ce94ffdacfd6f1f67737899d5c9
	libio: null terminate the buffer upon initial allocation in getdelim

	* libio/iogetdelim.c: Modified.
	(__getdelim): Modified function.
	* libio/tst-getdelim.c: Modified.
	(do_test): Modified function.
	(string.h): Include file.
	* manual/stdio.texi: Modified.

2025-12-05  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: e2b00d59eba07a97c10d540031fedc83df8b7f76
	aarch64: Implement AdvSIMD and SVE rsqrt(f) routines

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrt): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_rsqrtf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Remove.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_rsqrtf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_rsqrt): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_rsqrtf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_rsqrt): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_rsqrt): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_rsqrtf): New.
	* sysdeps/aarch64/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/aarch64/fpu/rsqrt_advsimd.c: New file.
	* sysdeps/aarch64/fpu/rsqrt_sve.c: New file.
	* sysdeps/aarch64/fpu/rsqrtf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/rsqrtf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-12-05  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 09d85861f135703add5925636765611167ef7b9e
	benchtests: Add benchtests for rsqrt

	* benchtests/libmvec/rsqrt-inputs: New file.

2025-12-05  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: bd0a3526ccd052290cd8f76073383498da5a21e9
	benchtests: Add benchtests for rsqrtf

	* benchtests/libmvec/rsqrtf-inputs: New file.

2025-12-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eb03df5404aa8a3c40d3de8d17885d19172c3a9d
	i386: Fix fmod/fmodf/remainder/remainderf for gcc-12

	* config.h.in: Modified.
	* sysdeps/i386/fpu/e_fmod.c: Modified.
	(__fmod): Modified function.
	* sysdeps/i386/fpu/e_fmodf.c: Modified.
	(__fmodf): Modified function.
	* sysdeps/i386/fpu/e_remainder.c: Modified.
	(__remainder): Modified function.
	* sysdeps/i386/fpu/e_remainderf.c: Modified.
	(__remainderf): Modified function.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86/fpu/math-inline-asm.h: Modified.
	(fmod_inline): New function.
	(fmodf_inline): New function.
	(remainder_inline): New function.
	(remainderf_inline): New function.

2025-12-04  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 83dd79dffbcdd0ad57bf5471fbc1a3fd1d4e7e9a
	nptl: Check alignment of pthread structs

	* sysdeps/nptl/pthreadP.h: Modified.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: f9bb6bcff604357b7a53a268381d265b998b040d
	aarch64: Optimise AdvSIMD atanhf

	* sysdeps/aarch64/fpu/atanhf_advsimd.c: Modified.
	(data): Modified.
	(AbsMask): Remove.
	(Half): Remove.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 0e734b2b0caf78f69f447036dd20c63edf514358
	aarch64: Optimise AdvSIMD asinhf

	* sysdeps/aarch64/fpu/asinhf_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	(inline_asinhf): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 0e80864c07ffb549557e3c317b6b5326444da95e
	aarch64: Optimise AdvSIMD acoshf

	* sysdeps/aarch64/fpu/acoshf_advsimd.c: Modified.
	(SquareLim): Remove.
	(data): Modified.
	(Thresh): Remove.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	(inline_acoshf): New function.

2025-12-04  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 6f869f54fb3e066964fc7138e36433de793244af
	aarch64: Add tests for glibc.cpu.aarch64_bti behaviour

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/tst-bti-abort-imm.c: New file.
	* sysdeps/aarch64/tst-bti-abort-transitive.c: New file.
	* sysdeps/aarch64/tst-bti-abort-unprot.c: New file.
	* sysdeps/aarch64/tst-bti-abort.sh: New file.
	* sysdeps/aarch64/tst-bti-dep-prot.c: New file.
	* sysdeps/aarch64/tst-bti-dlopen-imm.c: New file.
	* sysdeps/aarch64/tst-bti-dlopen-prot.c: New file.
	* sysdeps/aarch64/tst-bti-dlopen-transitive.c: New file.
	* sysdeps/aarch64/tst-bti-mod-prot.c: New file.
	* sysdeps/aarch64/tst-bti-mod-unprot.c: New file.
	* sysdeps/aarch64/tst-bti-mod.c: New file.
	* sysdeps/aarch64/tst-bti-permissive-dlopen.c: New file.
	* sysdeps/aarch64/tst-bti-permissive-imm.c: New file.
	* sysdeps/aarch64/tst-bti-permissive-transitive.c: New file.
	* sysdeps/aarch64/tst-bti-skeleton-dlopen.c: New file.
	* sysdeps/aarch64/tst-bti-skeleton.c: New file.

2025-12-04  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: dba95d2887890784abd439667a259a4aa9787055
	aarch64: Support enforcing BTI on dependencies

	* manual/tunables.texi: Modified.
	* sysdeps/aarch64/cpu-features.h: Modified.
	(<anonymous>): New.
	* sysdeps/aarch64/dl-bti.c: Modified.
	(_dl_bti_protect): Modified function.
	(_dl_bti_check): Modified function.
	* sysdeps/aarch64/dl-tunables.list: Modified.
	* sysdeps/aarch64/linkmap.h: Modified.
	(link_map_machine): Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/dl-procinfo.c: Modified.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_DECL): Remove.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_CLASS): Remove.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][! PROCINFO_DECL](_dl_aarch64_bti): New.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_DECL): New.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_CLASS): New.

2025-12-04  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 59bac0d5d2165cb5a160640ac2d0c0c562804bbd
	aarch64: Add configure checks for BTI support

	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2025-12-04  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: ccb5083553ede8b2cf061804f4b39d09b824d40c
	aarch64: fix makefile formatting

	* sysdeps/aarch64/Makefile: Modified.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: e3c40c8db0992cedcb48c7fd9607c19fc90a3cc3
	aarch64: Optimise AdvSIMD log10

	* sysdeps/aarch64/fpu/log10_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	(log10_core): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 59c706b418a29dd07e8ddb92bd7a345d694e113b
	aarch64: Optimise AdvSIMD log2

	* sysdeps/aarch64/fpu/log2_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	(inline_log2): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 82d3a8a73894e3cfde69bd1a05102d89ed3757ea
	aarch64: Optimise AdvSIMD log

	* sysdeps/aarch64/fpu/log_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	(inline_log): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 015a13e780dd26d2da1ada6baa0621f49b7c0eb8
	aarch64: Optimise AdvSIMD log1p

	* sysdeps/aarch64/fpu/log1p_advsimd.c: Modified.
	(data): Modified.
	(BottomMask): Remove.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: 57215df30e4978c6eb3b6b78dee8230ff575acbb
	aarch64: Optimise AdvSIMD log10f

	* sysdeps/aarch64/fpu/log10f_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	(inline_log10f): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: fe83660a7eaf29144c517fff4950030056b78078
	aarch64: Optimise AdvSIMD log2f

	* sysdeps/aarch64/fpu/log2f_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	(inline_log2f): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: ab8138303cd4ea3de8947817ac7a246a1a34d18e
	aarch64: Optimise AdvSIMD logf

	* sysdeps/aarch64/fpu/logf_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	(inline_logf): New function.

2025-12-04  James Chesterman  <James.Chesterman@arm.com>

	COMMIT: f42c1351575fd8b1078b286929945c78713d03a4
	aarch64: Optimise AdvSIMD log1pf

	* sysdeps/aarch64/fpu/log1pf_advsimd.c: Modified.
	(data): Remove.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	(data): New.

2025-12-04  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 762bb01d4e8279ca7e48f1f1f526e0506ac4c18b
	int128: Check BITS_PER_MP_LIMB == 32 instead of __WORDSIZE == 32

	* sysdeps/generic/gmp-arch.h: Modified.
	(umul_ppmm_generic): Modified function.
	(add_ssaaaa_generic): Modified function.
	(sub_ddmmss_generic): Modified function.

2025-12-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Yonggang Luo  <luoyonggang@gmail.com>

	COMMIT: f28a11e43f40df2ad92ece62b28ee004a8ad600b
	time: Add TIME_MONOTONIC, TIME_ACTIVE, and TIME_THREAD_ACTIVE

	* NEWS: Modified.
	* include/time.h: Modified.
	[! _ISOMAC](verify.h): Include file.
	[! _ISOMAC](clock_from_timebase): New function.
	* manual/time.texi: Modified.
	* sysdeps/unix/sysv/linux/timespec_get.c: Modified.
	[__TIMESIZE != 64](__timespec_get): Modified function.
	(__timespec_get64): Modified function.
	* sysdeps/unix/sysv/linux/timespec_getres.c: Modified.
	[__TIMESIZE != 64](__timespec_getres): Modified function.
	(__timespec_getres64): Modified function.
	* time/time.h: Modified.
	[__GLIBC_USE (ISOC23)](TIME_MONOTONIC): New.
	[__GLIBC_USE (ISOC23)](TIME_ACTIVE): New.
	[__GLIBC_USE (ISOC23)](TIME_THREAD_ACTIVE): New.
	* time/timespec_get.c: Modified.
	(timespec_get): Modified function.
	* time/timespec_getres.c: Modified.
	(timespec_getres): Modified function.
	* time/tst-timespec_get.c: Modified.
	(do_test): Modified function.
	(test_timespec_get): New function.
	* time/tst-timespec_getres.c: Modified.
	(do_test): Modified function.
	(test_timespec_getres): New function.

2025-12-02  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 56d0e2cca1e5ac4a9ed9332c46c64d7021ab011f
	Use Linux 6.18 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2025-12-02  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 11d3cfb570777c567afe3eb8b11481a56851b9ae
	misc: fix some typos

	* config.h.in: Modified.
	* elf/elf.h: Modified.
	* include/link.h: Modified.
	* manual/dynlink.texi: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.

2025-12-02  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3dd2cbfa35e0e6e0345633079bd5a83bb822c2d8
	Use 64-bit atomic on sem_t with 8-byte alignment [BZ #33632]

	* config.h.in: Modified.
	* csu/Makefile: Modified.
	* csu/sem_t-align.sym: New file.
	* htl/pt-internal.h: Modified.
	(new_sem): Modified.
	(semaphore.h): Include file.
	(atomic-sem_t.h): Include file.
	(_Static_assert): New function.
	(_Static_assert): New function.
	* nptl/sem_getvalue.c: Modified.
	(__new_sem_getvalue): Modified function.
	* nptl/sem_init.c: Modified.
	(__new_sem_init): Modified function.
	* nptl/sem_post.c: Modified.
	(__new_sem_post): Modified function.
	* nptl/sem_waitcommon.c: Modified.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	(__sem_wait_cleanup): Modified function.
	(do_futex_wait): Modified function.
	(__new_sem_wait_fast): Modified function.
	(__new_sem_wait_slow64): Modified function.
	[!USE_64B_ATOMICS_ON_SEM_T](__sem_wait_32_finish): New.
	[!USE_64B_ATOMICS_ON_SEM_T](__sem_wait_32_finish): New.
	* nptl/semaphoreP.h: Modified.
	(__new_sem_open_init): Modified function.
	* nptl/tst-sem11.c: Modified.
	(do_test): Modified function.
	* nptl/tst-sem13.c: Modified.
	(do_test_wait): Modified function.
	* sysdeps/generic/atomic-sem_t.h: New file.
	* sysdeps/htl/sem-destroy.c: Modified.
	(__sem_destroy): Modified function.
	* sysdeps/htl/sem-getvalue.c: Modified.
	(__sem_getvalue): Modified function.
	* sysdeps/htl/sem-post.c: Modified.
	(__sem_post): Modified function.
	* sysdeps/htl/sem-timedwait.c: Modified.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	(__sem_wait_cleanup): Modified function.
	(__sem_timedwait_internal): Modified function.
	[!USE_64B_ATOMICS_ON_SEM_T](__sem_wait_32_finish): New.
	[!USE_64B_ATOMICS_ON_SEM_T](__sem_wait_32_finish): New.
	* sysdeps/htl/sem-waitfast.c: Modified.
	(__sem_waitfast): Modified function.
	* sysdeps/nptl/internaltypes.h: Modified.
	(new_sem): Modified.
	(semaphore.h): Include file.
	(atomic-sem_t.h): Include file.
	(_Static_assert): New function.
	(_Static_assert): New function.

2025-12-01  Yury Khrustalev  <yury.khrustalev@arm.com>
            Carlos O'Donell  <carlos@redhat.com>

	COMMIT: d605dea0a4a7cf7b5548fc7cc02b005dd42855db
	scripts: Support custom Git URLs in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2025-12-01  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: af5ce3ec8f901ccdddd8dc486d19e55e8d99130b
	scripts: Support custom FTP mirror URL in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2025-12-01  Kacper Piwiński  <vfjpl1@gmail.com>

	COMMIT: 82f4758410d9e4f149ea916504a407ea890d9f76
	strops: use strlen instead of strchr for string length

	* libio/strops.c: Modified.
	(_IO_str_init_static_internal): Modified function.

2025-12-01  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 20092f2ef601aef57cc184cbacd7cab39bba5a25
	nptl: tests: Fix test-wrapper use in tst-dl-debug-tid.sh

	* nptl/Makefile: Modified.
	* nptl/tst-dl-debug-tid.sh: Modified.

2025-12-01  Osama Abdelkader  <osama.abdelkader@gmail.com>

	COMMIT: 57ce2d8243449bd037d58cbceed2596a3831374a
	Fix allocation_index increment in malloc_internal

	* malloc/tst-interpose-aux.c: Modified.
	(malloc_internal): Modified function.

2025-11-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f9e61cd446d45016e20b6fe85ab87364ebdbec1b
	NEWS: Add new generic fma/fmaf note

	* NEWS: Modified.

2025-11-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e98bd0c54d5e296ad1be91b6fe35260c6b87e733
	iconvdata: Fix invalid pointer arithmetic in ANSI_X3.110 module

	* iconvdata/ansi_x3.110.c: Modified.
	(BODY): Modified.

2025-11-27  Joseph Myers  <josmyers@redhat.com>

	COMMIT: e535fb910cd6fa5fea157e74a30caf5759372928
	Define C23 header version macros

	* assert/assert.h: Modified.
	[__GLIBC_USE (ISOC23)][! __STDC_VERSION_ASSERT_H__](__STDC_VERSION_ASSERT_H__): New.
	* include/limits.h: Modified.
	[__GLIBC_USE (ISOC23)][! __STDC_VERSION_LIMITS_H__](__STDC_VERSION_LIMITS_H__): New.
	* libio/stdio.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_STDIO_H__): New.
	* math/complex.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_COMPLEX_H__): New.
	* math/fenv.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_FENV_H__): New.
	* math/math.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_MATH_H__): New.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_TGMATH_H__): New.
	* setjmp/setjmp.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_SETJMP_H__): New.
	* stdlib/inttypes.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_INTTYPES_H__): New.
	* stdlib/stdint.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_STDINT_H__): New.
	* stdlib/stdlib.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_STDLIB_H__): New.
	* string/string.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_STRING_H__): New.
	* time/time.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_TIME_H__): New.
	* wcsmbs/uchar.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_UCHAR_H__): New.
	* wcsmbs/wchar.h: Modified.
	[__GLIBC_USE (ISOC23)](__STDC_VERSION_WCHAR_H__): New.

2025-11-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Wilco Dijkstra  <Wilco.Dijkstra@arm.com>

	COMMIT: 8a0152b61bdf0d3cb1d174d3627adee79db9ee07
	math: New generic fmaf implementation

	* sysdeps/i386/Makefile: Modified.
	* sysdeps/ieee754/dbl-64/s_fmaf.c: Modified.
	(ieee754.h): Remove include.
	(math-barriers.h): Remove include.
	(fenv_private.h): Remove include.
	(__fmaf): Modified function.
	(math-use-builtins.h): Include file.
	(math_config.h): Include file.

2025-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 15de57024611ed6e668acbc440c5e360b0543374
	Linux: Ignore PIDFD_GET_INFO in tst-pidfd-consts

	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2025-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a61f7fd59d386331888422b3132599f341f1da78
	math: Sync atanh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atanh: Modified.
	* sysdeps/ieee754/dbl-64/e_atanh.c: Modified.
	(__ieee754_atanh): Modified function.

2025-11-26  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: bc4bc1650b03da18d933eed6524eea474083d98d
	aarch64: make GCS configure checks aarch64-only

	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.
	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.

2025-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bf211c34993921eccbc074f82cfbb8e9a16d850c
	math: New generic fma implementation

	* sysdeps/arm/fpu/math_private.h: New file.
	* sysdeps/i386/Makefile: Modified.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	[! TOINT64_INTRINSICS](TOINT64_INTRINSICS): New.
	(convertfromint64): New function.
	* sysdeps/ieee754/dbl-64/s_fma.c: Modified.
	(fenv.h): Remove include.
	(ieee754.h): Remove include.
	(math-barriers.h): Remove include.
	(fenv_private.h): Remove include.
	(tininess.h): Remove include.
	(__fma): Modified function.
	[!USE_FMA_BUILTIN](stdbit.h): New.
	[!USE_FMA_BUILTIN](math_config.h): New.
	[!USE_FMA_BUILTIN](math_uint128.h): New.
	[!USE_FMA_BUILTIN](ZEROINFNAN): New.
	[!USE_FMA_BUILTIN](num): New.
	[!USE_FMA_BUILTIN](normalize): New.
	[!USE_FMA_BUILTIN](mul): New.
	(math-use-builtins.h): Include file.

2025-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5dab2a31954b0e0ff220cb28fa2f3fc79b8781df
	stdlib: Remove longlong.h

	* soft-fp/soft-fp.h: Modified.
	[! umul_ppmm][_LIBC](stdlib/longlong.h): Remove include.
	[! umul_ppmm][_LIBC](gmp-arch.h): Remove include.
	* stdio-common/_itoa.c: Modified.
	(stdlib/longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdio-common/_itowa.c: Modified.
	(stdlib/longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdlib/Makefile: Modified.
	* stdlib/addmul_1.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdlib/divmod_1.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdlib/divrem.c: Modified.
	(longlong.h): Remove include.
	* stdlib/gmp-impl.h: Modified.
	(gmp-arch.h): Include file.
	* stdlib/longlong.h: Delete file.
	* stdlib/mod_1.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdlib/mul_1.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdlib/strtod_l.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* stdlib/submul_1.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* sysdeps/generic/gmp-arch.h: Modified.
	[! udiv_qrnnd](UDIV_NEEDS_NORMALIZATION): Modified.
	[! udiv_qrnnd](udiv_qrnnd): Modified.
	(umul_ppmm): Modified.
	(add_ssaaaa): Modified.
	(sub_ddmmss): Modified.
	* sysdeps/ieee754/dbl-64/dbl2mpn.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* sysdeps/ieee754/ldbl-128/ldbl2mpn.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* sysdeps/ieee754/ldbl-128ibm/ldbl2mpn.c: Modified.
	(longlong.h): Remove include.
	* sysdeps/ieee754/ldbl-96/ldbl2mpn.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* sysdeps/wordsize-32/divdi3.c: Modified.
	(stdlib/longlong.h): Remove include.
	(gmp-arch.h): Remove include.
	* sysdeps/x86/gmp-arch.h: Modified.
	(UDIV_NEEDS_NORMALIZATION): Modified.
	(udiv_qrnnd): Modified.
	* sysdeps/x86/ldbl2mpn.c: Modified.
	(longlong.h): Remove include.
	(gmp-arch.h): Remove include.

2025-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7a0471f1497a762f7d2149c4dc9570ef6c84a851
	Add umul_ppmm to gmp-arch.hdoc

	* sysdeps/generic/gmp-arch.h: Modified.
	(umul_ppmm_generic): New function.
	(umul_ppmm): New.

2025-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8cd6efca5b3796193ef3ff60d9dbf6e5572b2b73
	Add add_ssaaaa and sub_ssaaaa to gmp-arch.h

	* sysdeps/aarch64/sfp-machine.h: Modified.
	(_FP_W_TYPE): Modified.
	(_FP_I_TYPE): Modified.
	* sysdeps/generic/gmp-arch.h: Modified.
	(math_uint128.h): Include file.
	(add_ssaaaa_generic): New function.
	(add_ssaaaa): New.
	(sub_ddmmss_generic): New function.
	(sub_ddmmss): New.
	* sysdeps/generic/math_uint128.h: Modified.
	[! __MATH_INT128_BUILTIN_TYPE](u128_add): Modified function.
	[! __MATH_INT128_BUILTIN_TYPE](u128_lshift): Modified function.
	[! __MATH_INT128_BUILTIN_TYPE](u128_rshift): Modified function.
	[! __MATH_INT128_BUILTIN_TYPE](u128_mul): Modified function.
	[! __MATH_INT128_BUILTIN_TYPE](u128_from_hl): New.
	[! __MATH_INT128_BUILTIN_TYPE](u128_neg): New function.
	[! __MATH_INT128_BUILTIN_TYPE](u128_sub): New function.
	[__MATH_INT128_BUILTIN_TYPE](u128_from_hl): New.
	[__MATH_INT128_BUILTIN_TYPE](u128_sub): New.
	(stdbool.h): Include file.
	* sysdeps/loongarch/sfp-machine.h: Modified.
	(_FP_W_TYPE): Modified.
	(_FP_WS_TYPE): Modified.
	(_FP_I_TYPE): Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/sfp-machine.h: Modified.
	(_FP_W_TYPE): Modified.
	(_FP_WS_TYPE): Modified.
	(_FP_I_TYPE): Modified.
	* sysdeps/riscv/sfp-machine.h: Modified.
	[__riscv_xlen != 32](_FP_W_TYPE): Modified.
	[__riscv_xlen != 32](_FP_WS_TYPE): Modified.
	[__riscv_xlen != 32](_FP_I_TYPE): Modified.
	* sysdeps/x86/fpu/sfp-machine.h: Modified.
	[! __x86_64__](_FP_W_TYPE): Modified.
	[! __x86_64__](_FP_WS_TYPE): Modified.
	[! __x86_64__](_FP_I_TYPE): Modified.
	[__x86_64__](_FP_W_TYPE): Remove.
	[__x86_64__](_FP_WS_TYPE): Remove.
	[__x86_64__](_FP_I_TYPE): Remove.
	[__x86_64__][! __ILP32__](_FP_W_TYPE): New.
	[__x86_64__][! __ILP32__](_FP_WS_TYPE): New.
	[__x86_64__][! __ILP32__](_FP_I_TYPE): New.
	[__x86_64__][__ILP32__](_FP_W_TYPE): New.
	[__x86_64__][__ILP32__](_FP_WS_TYPE): New.
	[__x86_64__][__ILP32__](_FP_I_TYPE): New.

2025-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 476e962af766e47f1c5df434533f0996df8f8c28
	Add gmp-arch and udiv_qrnnd

	* soft-fp/soft-fp.h: Modified.
	[! umul_ppmm][_LIBC](gmp.h): Include file.
	[! umul_ppmm][_LIBC](stdlib/gmp-impl.h): Include file.
	[! umul_ppmm][_LIBC](gmp-arch.h): Include file.
	[_FP_W_TYPE_SIZE == 32](mode): Remove.
	[_FP_W_TYPE_SIZE == 64](UHWtype): Remove.
	(UWtype): Remove.
	(W_TYPE_SIZE): Remove.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	* stdio-common/_itoa.c: Modified.
	[_ITOA_NEEDED](_itoa): Modified function.
	(gmp-arch.h): Include file.
	* stdio-common/_itowa.c: Modified.
	[_ITOA_NEEDED](_itowa): Modified function.
	(gmp-arch.h): Include file.
	* stdlib/Makefile: Modified.
	* stdlib/addmul_1.c: Modified.
	(gmp-arch.h): Include file.
	* stdlib/divmod_1.c: Modified.
	(gmp-arch.h): Include file.
	* stdlib/mod_1.c: Modified.
	(gmp-arch.h): Include file.
	* stdlib/mul_1.c: Modified.
	(gmp-arch.h): Include file.
	* stdlib/strtod_l.c: Modified.
	(gmp-arch.h): Include file.
	* stdlib/submul_1.c: Modified.
	(gmp-arch.h): Include file.
	* stdlib/udiv_qrnnd.c: Delete file.
	* sysdeps/alpha/Makefile: Modified.
	* sysdeps/alpha/gmp-arch.h: New file.
	* sysdeps/generic/gmp-arch.h: New file.
	* sysdeps/hppa/hppa1.1/udiv_qrnnd.S: Delete file.
	* sysdeps/hppa/udiv_qrnnd.S: Delete file.
	* sysdeps/ieee754/dbl-64/dbl2mpn.c: Modified.
	(gmp-arch.h): Include file.
	* sysdeps/ieee754/ldbl-128/ldbl2mpn.c: Modified.
	(gmp-arch.h): Include file.
	* sysdeps/ieee754/ldbl-96/ldbl2mpn.c: Modified.
	(gmp-arch.h): Include file.
	* sysdeps/wordsize-32/divdi3.c: Modified.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	(mode): Remove.
	(UWtype): Remove.
	(W_TYPE_SIZE): Remove.
	(gmp.h): Include file.
	(stdlib/gmp-impl.h): Include file.
	(gmp-arch.h): Include file.
	* sysdeps/x86/gmp-arch.h: New file.
	* sysdeps/x86/ldbl2mpn.c: Modified.
	(gmp-arch.h): Include file.

2025-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e45174fe8c616987b7227ea2435af2be757dcbeb
	Add new math improvemenst to NEWS

	* NEWS: Modified.

2025-11-25  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 6a29bbcf5abc2043b6ccec55f903e28569a38822
	scripts: Fix minor lint warnings in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2025-11-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 244c404ae85003f45aa491a50b6902655ee2df15
	malloc: Add threaded variants of single-threaded malloc tests

	* malloc/Makefile: Modified.

2025-11-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: bd0e88f05c15be084a11080b1308da657725613a
	support: Add support for running tests in a multi-threaded environment

	* support/Makefile: Modified.
	* support/support_test_in_thread_wrapper.c: New file.
	* support/support_test_main.c: Modified.
	(run_test_function): Modified function.
	* support/test-driver.c: Modified.
	(main): Modified function.
	* support/test-driver.h: Modified.
	(test_config): Modified.
	(<anonymous>): Modified.
	(support_test_in_thread_wrapper): New function.

2025-11-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0f7b73f2ed70e783cd02ab77503645b03ee1d332
	htl: Fix conditions for thread list variables

	* elf/dl-support.c: Modified.
	[! PTHREAD_IN_LIBC](_dl_nothread_init_static_tls): Remove.
	[PTHREAD_IN_LIBC](_dl_stack_used): Remove.
	[PTHREAD_IN_LIBC](_dl_stack_user): Remove.
	[PTHREAD_IN_LIBC](_dl_stack_cache): Remove.
	[PTHREAD_IN_LIBC](_dl_stack_cache_actsize): Remove.
	[PTHREAD_IN_LIBC](_dl_in_flight_stack): Remove.
	[PTHREAD_IN_LIBC](_dl_stack_cache_lock): Remove.
	[! __PTHREAD_HTL](_dl_stack_used): New.
	[! __PTHREAD_HTL](_dl_stack_user): New.
	[! __PTHREAD_HTL](_dl_stack_cache): New.
	[! __PTHREAD_HTL](_dl_stack_cache_actsize): New.
	[! __PTHREAD_HTL](_dl_in_flight_stack): New.
	[! __PTHREAD_HTL](_dl_stack_cache_lock): New.
	[!PTHREAD_IN_LIBC](_dl_nothread_init_static_tls): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.

2025-11-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c71ee65a7932e68f6d5b6390150378624387a9ac
	pthread: Simplify condition for hidden proto

	* include/pthread.h: Modified.
	[! _ISOMAC][PTHREAD_IN_LIBC](libc_hidden_proto): Remove.
	[! _ISOMAC][PTHREAD_IN_LIBC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.

2025-11-22  gfleury  <gfleury@disroot.org>

	COMMIT: 585eee3962d00490a95790035714d53c81cc38ba
	htl: move c11 symbols into libc.

	* htl/Versions: Modified.
	* sysdeps/htl/c11-thread.h: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.
	* sysdeps/nptl/c11-thread.h: New file.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/call_once.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/cnd_broadcast.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/cnd_destroy.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/cnd_init.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/cnd_signal.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/cnd_timedwait.c: Modified.
	(cnd_timedwait): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(c11-thread.h): Include file.
	(__cnd_timedwait): New function.
	(versioned_symbol): New function.
	* sysdeps/pthread/cnd_wait.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/mtx_destroy.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/mtx_init.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/mtx_lock.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/mtx_timedlock.c: Modified.
	(mtx_timedlock): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(c11-thread.h): Include file.
	(__mtx_timedlock): New function.
	(versioned_symbol): New function.
	* sysdeps/pthread/mtx_trylock.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/mtx_unlock.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/thrd_create.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/thrd_detach.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/thrd_exit.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/thrd_join.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/tss_create.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/tss_delete.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/tss_get.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/pthread/tss_set.c: Modified.
	[! PTHREAD_IN_LIBC](strong_alias): Remove.
	[PTHREAD_IN_LIBC][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_28, GLIBC_2_34)](compat_symbol): Remove.
	[PTHREAD_IN_LIBC](versioned_symbol): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, C11_THREADS_INTRODUCED, C11_THREADS_IN_LIBC)](compat_symbol): New.
	(c11-thread.h): Include file.
	(versioned_symbol): New function.

2025-11-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 604bdb0f8e9c0873b5420ec4429bd1dc40a41860
	htl: Also use __libc_thread_freeres to clean TLS state

	* htl/pt-exit.c: Modified.
	(__pthread_exit): Modified function.
	(libc-internal.h): Include file.
	* include/libc-internal.h: Modified.
	[! PTHREAD_IN_LIBC](__libc_thread_freeres): Remove.
	[PTHREAD_IN_LIBC](__libc_thread_freeres): Remove.
	(__libc_thread_freeres): Modified.
	(__init_misc): New function.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: aa6066087f5a4d709ff148591d4a58564e2b09bf
	benchtests: Fix bench-build after cd748a63ab

	* benchtests/bench-memccpy.c: Modified.
	(generic_memccpy): Modified function.
	* benchtests/bench-rawmemchr.c: Modified.
	(generic_rawmemchr): Modified function.
	* benchtests/bench-strcoll.c: Modified.
	(main): Modified function.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 907089ba369408fc7c2fbaada218a05df605d64a
	linux: Handle EINVAL as unsupported on tst-pidfd_getinfo

	* sysdeps/unix/sysv/linux/tst-pidfd_getinfo.c: Modified.
	(do_test): Modified function.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 52524467afc2398140c65a8ca4c937a085e592b5
	bench-malloc-thread: Add libm for powf

	* benchtests/Makefile: Modified.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4d695077b893c4e65c451e4d7ff91e01c05d4efa
	benchtests: Remove clang warnings

	* benchtests/bench-malloc-thread.c: Modified.
	(get_block_size): Modified function.
	* benchtests/bench-strchr.c: Modified.
	[! USE_FOR_STRCHRNUL](do_one_rand_plus_branch_test): Modified function.
	[! USE_FOR_STRCHRNUL](do_rand_test): Modified function.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9849a61b34b4693cf3fea32aefd6e3793477ab1e
	benchtests: Add attribute_optimize

	* benchtests/bench-pthread-lock-base.c: Modified.
	(fibonacci): Modified function.
	(do_filler): Modified function.
	(do_filler_shared): Modified function.
	(bench-util.h): Include file.
	* benchtests/bench-pthread-locks.c: Modified.
	(fibonacci): Modified function.
	(do_filler): Modified function.
	(bench-util.h): Include file.
	* benchtests/bench-util.h: Modified.
	[!(__GNUC_PREREQ (4, 4) || __glibc_has_attribute (__optimize__))](attribute_optimize): New.
	[__GNUC_PREREQ (4, 4) || __glibc_has_attribute (__optimize__)](attribute_optimize): New.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 46be3e521c0fab7e3156e1ab8323128557d7cebc
	benchtests: Use __f128 on ilogbf128-inputs constants

	* benchtests/ilogbf128-inputs: Modified.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8d26bed1ebcefd5d2059fd7d7462bdf6593d77fa
	Enable --enable-fortify-source with clang

	* debug/vasprintf_chk.c: Modified.
	(libc_hidden_def): New.
	* debug/vfprintf_chk.c: Modified.
	* elf/Makefile: Modified.
	* include/arpa/inet.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* include/bits/inet-fortified-decl.h: Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* include/bits/stdio2-decl.h: Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	* include/bits/string_fortified.h: Modified.
	[! _ISOMAC][IS_IN(libc) &&  SHARED](stpcpy): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	* include/bits/syslog-decl.h: Modified.
	[! _ISOMAC](libc_hidden_ldbl_proto): New.
	* include/bits/unistd-decl.h: Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* include/bits/wchar2-decl.h: Modified.
	[! _ISOMAC](libc_hidden_builtin_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* include/stdio.h: Modified.
	[! _ISOMAC][__LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1 && IS_IN (libc)](stdio_hidden_ldbl_proto): Remove.
	[! _ISOMAC][__LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1 && IS_IN (libc)][! SHARED](stdio_hidden_ldbl_proto): New.
	[! _ISOMAC][__LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1 && IS_IN (libc)][SHARED](stdio_hidden_ldbl_proto): New.
	[! _ISOMAC](stdio_hidden_ldbl_proto): Modified.
	[! _ISOMAC](stdio_hidden_ldbl_proto): New.
	[! _ISOMAC](stdio_hidden_ldbl_proto): New.
	* include/unistd.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* include/wchar.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* inet/bits/inet-fortified.h: Modified.
	(__NTH): Modified function.
	* libio/Makefile: Modified.
	* misc/syslog.c: Modified.
	(ldbl_hidden_def): Modified function.
	(__vsyslog_internal): Remove function.
	(ldbl_hidden_def): New function.
	* string/Makefile: Modified.
	* sysdeps/generic/symbol-hacks.h: Modified.
	(__vfprintf_chk): New.
	(__vsprintf_chk): New.
	(__vsyslog_chk): New.
	(__memcpy_chk): New.
	(__memmove_chk): New.
	(__memset_chk): New.
	(__mempcpy_chk): New.
	(__stpcpy_chk): New.
	(__strcpy_chk): New.
	(strcpy): New.
	(strncpy): New.
	(strcat): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-syslog.c: Modified.
	(___ieee128___vsyslog_chk): Remove function.
	(strong_alias): Modified.
	(____ieee128___vsyslog_chk): New function.
	(strong_alias): New.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 25de0771ecac240a54f03ab55247d92457e4c310
	configure: Only use -fno-fp-int-builtin-inexact if compiler supports it

	* configure: Modified.
	* configure.ac: Modified.
	* math/Makefile: Modified.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2885d8a3ab7658033b9933022099ae5e1c3479d4
	benchtests: Add fmaf benchtests

	* benchtests/Makefile: Modified.
	* benchtests/fmaf-inputs: New file.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 42f07a44ef88e0c9ff1bd5343786013272467414
	math: Remove ldbl-96 fma implementation

	* sysdeps/i386/i686/multiarch/s_fma.c: Modified.
	(sysdeps/ieee754/ldbl-96/s_fma.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_fma.c): Include file.
	* sysdeps/ieee754/ldbl-96/s_fma.c: Delete file.

2025-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8ce2b5dd272342e2affe7f2245abb43c1398ebae
	benchtests: Add fma benchtests

	* benchtests/Makefile: Modified.
	* benchtests/fma-inputs: New file.

2025-11-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ff92750112e782300ff455c13d9bb0ae1603aa65
	htl: Move pthread_atfork compatibility symbol to libc

	* htl/Versions: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/pthread/Makefile: Modified.

2025-11-21  gfleury  <gfleury@disroot.org>

	COMMIT: b36a126f7d5ac7061e24ad97191bb9428b6b251f
	htl: move pthread_spin_{destroy, lock, init, trylock, unlock) and remove _pthread_spin_lock, into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-spin-inlines.c: Modified.
	(weak_alias): Remove.
	(weak_alias): Remove.
	(weak_alias): Remove.
	(weak_alias): Remove.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_spin_destroy): New function.
	(__pthread_spin_init): New function.
	(__pthread_spin_lock): New function.
	(__pthread_spin_trylock): New function.
	(__pthread_spin_unlock): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/i386/i686/pthread_spin_trylock.S: Modified.
	* sysdeps/i386/pthread_spin_trylock.S: Move to...
	* sysdeps/i386/nptl/pthread_spin_trylock.S: ... here.
	* sysdeps/mach/htl/pt-spin.c: Delete file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-20  Joseph Myers  <josmyers@redhat.com>

	COMMIT: cd748a63ab1a7ae846175c532a3daab341c62690
	Implement C23 const-preserving standard library macros

	* NEWS: Modified.
	* debug/tst-backtrace.h: Modified.
	(match): Modified function.
	* manual/search.texi: Modified.
	* manual/string.texi: Modified.
	* misc/sys/cdefs.h: Modified.
	[__HAVE_GENERIC_SELECTION](__glibc_const_generic): New.
	* stdlib/Makefile: Modified.
	* stdlib/stdlib.h: Modified.
	[__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](bsearch): New.
	* stdlib/tst-const.c: New file.
	* string/Makefile: Modified.
	* string/string.h: Modified.
	[! __CORRECT_ISO_CPP_STRING_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](memchr): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][! __CORRECT_ISO_CPP_STRING_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](strchr): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][! __CORRECT_ISO_CPP_STRING_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](strrchr): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][! __CORRECT_ISO_CPP_STRING_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](strpbrk): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][! __CORRECT_ISO_CPP_STRING_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](strstr): New.
	* string/test-strnlen.c: Modified.
	[WIDE](wmemchr): Modified.
	* string/tst-const.c: New file.
	* timezone/Makefile: Modified.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/tst-const.c: New file.
	* wcsmbs/wchar.h: Modified.
	[! __CORRECT_ISO_CPP_WCHAR_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](wcschr): New.
	[! __CORRECT_ISO_CPP_WCHAR_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](wcsrchr): New.
	[! __CORRECT_ISO_CPP_WCHAR_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](wcspbrk): New.
	[! __CORRECT_ISO_CPP_WCHAR_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](wcsstr): New.
	[! __CORRECT_ISO_CPP_WCHAR_H_PROTO][__GLIBC_USE (ISOC23) &&  __glibc_const_generic && ! _LIBC](wmemchr): New.

2025-11-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 64b6813338d836ad1b61969a153192fb739f8722
	Check if linker supports -Wl,--undefined-version

	* Makerules: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2025-11-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 20e92c95123a0fafee9f35714697986a48fc087d
	nptl: Replace FALLTHROUGH with [[fallthrough]]

	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.

2025-11-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 951bb5c458474adbe9536192f58edb8f877ce36e
	hurd: Add missing free_sized and free_aligned_sized

	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc_malloc_debug.abilist: Modified.

2025-11-20  Andreas Schwab  <schwab@suse.de>

	COMMIT: 0df50640a4ece7c74f17827f158f6c8812c6bede
	Use __fstat64_time64 in __fts64_children_time64 (bug 33653)

	* io/Makefile: Modified.
	* io/fts.c: Modified.
	[! FTS_OPEN](FSTAT): New.
	(fts_safe_changedir): Modified function.
	* io/fts64-time64.c: Modified.
	[__TIMESIZE != 64](FSTAT): New.
	* io/fts64.c: Modified.
	(FSTAT): New.
	* io/tst-fts-time64-y2038.c: New file.
	* io/tst-fts.c: Modified.
	(prepare): Modified function.
	(do_test): Modified function.
	[TST_FTS_Y2038](set_time_y2038): New.
	(utime.h): Include file.

2025-11-20  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 7f670284d8b691856c2d82a260ed22b296842755
	malloc: Use _int_free_chunk in tcache_thread_shutdown

	* malloc/malloc.c: Modified.
	[USE_TCACHE](tcache_thread_shutdown): Modified function.

2025-11-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 92186652d8653993ca51e97b895baf7edc745794
	math: Sync atanh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atanh: Modified.
	* sysdeps/ieee754/dbl-64/e_atanh.c: Modified.
	(__ieee754_atanh): Modified function.

2025-11-19  Justin King  <jcking@google.com>

	COMMIT: 56549264d1e1723dc8ad9675141f316dc83626b3
	malloc: add free_sized and free_aligned_sized from C23

	* NEWS: Modified.
	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/malloc-debug.c: Modified.
	(strong_alias): Modified.
	(strong_alias): Modified.
	(strong_alias): Modified.
	(strong_alias): Modified.
	(strong_alias): Modified.
	(strong_alias): Modified.
	(strong_alias): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(compat_symbol): Modified.
	(__debug_free_sized): New function.
	(__debug_free_aligned_sized): New function.
	(strong_alias): New.
	(strong_alias): New.
	(compat_symbol): New function.
	(compat_symbol): New function.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](void): New.
	[IS_IN (libc)](free_sized): New function.
	[IS_IN (libc)](void): New.
	[IS_IN (libc)](free_aligned_sized): New function.
	* malloc/tst-free-aligned-sized-trace.c: New file.
	* malloc/tst-free-aligned-sized.c: New file.
	* malloc/tst-free-sized-trace.c: New file.
	* malloc/tst-free-sized.c: New file.
	* manual/memory.texi: Modified.
	* stdlib/stdlib.h: Modified.
	[__GLIBC_USE(ISOC23)](free_sized): New.
	[__GLIBC_USE(ISOC23)](free_aligned_sized): New.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc_malloc_debug.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc_malloc_debug.abilist: Modified.

2025-11-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4567204feb5dd94b87f3acb6b249acf9de90e573
	math: Sync acosh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-acosh: Modified.
	* sysdeps/ieee754/dbl-64/e_acosh.c: Modified.
	(__ieee754_acosh): Modified function.

2025-11-19  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 40a751b0044114488e841f0223e630596c527c53
	linux/termios: test the kernel-side termios canonicalization

	* sysdeps/unix/sysv/linux/tst-termios-linux.c: Modified.
	(check_speeds_tc): Modified function.
	(set_speeds): Modified function.
	(k_termios.h): Include file.
	(check_speeds_kernel): New function.

2025-11-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cdb0e9dc70e59b0d1ef1a8d23c787e7a1fbfe5d6
	nss: Remove effectively unused __nss_*_database variables

	* nss/XXX-lookup.c: Modified.
	(DATABASE_NAME_SYMBOL): Remove.
	(DATABASE_NAME_STRING): Remove.
	(STRINGIFY1): Remove.
	(STRINGIFY2): Remove.
	(DB_LOOKUP_FCT): Modified function.
	* nss/nsswitch.c: Modified.
	(DEFINE_DATABASE): Remove.
	(databases.def): Remove include.
	(DEFINE_DATABASE): Remove.
	* nss/nsswitch.h: Modified.
	(DEFINE_DATABASE): Modified.
	* nss/tst-rfc3484-2.c: Modified.
	(__nss_hosts_database): Remove.
	* nss/tst-rfc3484-3.c: Modified.
	(__nss_hosts_database): Remove.
	* nss/tst-rfc3484.c: Modified.
	(__nss_hosts_database): Remove.

2025-11-18  Dylan Fleming  <Dylan.Fleming@arm.com>

	COMMIT: fd1d642ef80d81fdd4a22c628183a0bdc0a0c23e
	AArch64: Remove WANT_SIMD_EXCEPT from aarch64 AdvSIMD math routines

	* sysdeps/aarch64/fpu/acos_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(AllMask): Remove.
	(Oneu): Remove.
	(Small): Remove.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/acosf_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(One): Remove.
	(Small): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/acosh_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/acoshf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/asin_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(AllMask): Remove.
	(One): Remove.
	(Small): Remove.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/asinf_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(One): Remove.
	(Small): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/asinh_advsimd.c: Modified.
	(data): Modified.
	(log_inline): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/asinhf_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/atan_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/atanf_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](BigBound): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/atanh_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/atanhf_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/cos_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/cosf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/coshf_advsimd.c: Modified.
	[!WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(V_NAME_F1): Modified function.
	(special_case): New function.
	* sysdeps/aarch64/fpu/cospi_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/cospif_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/erf_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/erfc_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(TinyBound): Remove.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/erfcf_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(TinyBound): Remove.
	(Thres): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/erff_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/exp10_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialOffset): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias1): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias2): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](BigBound): Remove.
	[WANT_SIMD_EXCEPT](Thres): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(V_NAME_D1): Modified function.
	(SpecialOffset): New.
	(SpecialBias1): New.
	(SpecialBias2): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/exp10f_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialBound): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](SpecialBound): Remove.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](BigBound): Remove.
	[WANT_SIMD_EXCEPT](Thres): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(V_NAME_F1): Modified function.
	(SpecialBound): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/exp2_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialOffset): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias1): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias2): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](Thres): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(V_NAME_D1): Modified function.
	(SpecialOffset): New.
	(SpecialBias1): New.
	(SpecialBias2): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/exp2f_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](BigBound): Remove.
	[WANT_SIMD_EXCEPT](SpecialBound): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(V_NAME_F1): Modified function.
	(special_case): New function.
	* sysdeps/aarch64/fpu/exp_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialOffset): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias1): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias2): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](BigBound): Remove.
	[WANT_SIMD_EXCEPT](SpecialBound): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(<anonymous>): Modified.
	(V_NAME_D1): Modified function.
	(SpecialOffset): New.
	(SpecialBias1): New.
	(SpecialBias2): New.
	(special_case): New function.
	* sysdeps/aarch64/fpu/expf_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](BigBound): Remove.
	[WANT_SIMD_EXCEPT](SpecialBound): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(data): Modified.
	(V_NAME_F1): Modified function.
	(special_case): New function.
	* sysdeps/aarch64/fpu/expm1_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/expm1f_advsimd.c: Modified.
	(data): Modified.
	(TinyBound): Remove.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/finite_pow.h: Modified.
	(special_case): Modified function.
	(exp_inline): Modified function.
	(exp_nosignbias): Modified function.
	(pow_scalar_special_case): Modified function.
	* sysdeps/aarch64/fpu/hypot_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](data): Remove.
	[! WANT_SIMD_EXCEPT](V_NAME_D2): Remove.
	[WANT_SIMD_EXCEPT](data): Remove.
	[WANT_SIMD_EXCEPT](V_NAME_D2): Remove.
	(data): New.
	(V_NAME_D2): New function.
	* sysdeps/aarch64/fpu/hypotf_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](data): Remove.
	[! WANT_SIMD_EXCEPT](V_NAME_F2): Remove.
	[WANT_SIMD_EXCEPT](data): Remove.
	[WANT_SIMD_EXCEPT](V_NAME_F2): Remove.
	(data): New.
	(V_NAME_F2): New function.
	* sysdeps/aarch64/fpu/log1p_advsimd.c: Modified.
	(special_case): Modified function.
	* sysdeps/aarch64/fpu/log1pf_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](data): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Remove.
	[! WANT_SIMD_EXCEPT](V_NAME_F1): Remove.
	[WANT_SIMD_EXCEPT](data): Remove.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	[WANT_SIMD_EXCEPT](V_NAME_F1): Remove.
	(data): New.
	(special_case): New function.
	(V_NAME_F1): New function.
	* sysdeps/aarch64/fpu/pow_advsimd.c: Modified.
	(V_NAME_D2): Modified function.
	* sysdeps/aarch64/fpu/sin_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](Thresh): Remove.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/sinf_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](Thresh): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/sinhf_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/sinpi_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](Thresh): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/sinpif_advsimd.c: Modified.
	[WANT_SIMD_EXCEPT](TinyBound): Remove.
	[WANT_SIMD_EXCEPT](Thresh): Remove.
	[WANT_SIMD_EXCEPT](special_case): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/tanf_advsimd.c: Modified.
	(data): Modified.
	(RangeVal): Remove.
	(TinyBound): Remove.
	(Thresh): Remove.
	(eval_poly): Modified function.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/tanh_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/tanhf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/v_log1p_inline.h: Modified.
	(log1p_inline): Modified function.
	* sysdeps/aarch64/fpu/v_math.h: Modified.
	(v_zerofy_f32): Remove function.
	(v_zerofy_f64): Remove function.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(WANT_SIMD_EXCEPT): Remove.

2025-11-18  Pierre Blanchard  <pierre.blanchard@arm.com>

	COMMIT: bb6519de1e6fe73d79bc71588ec4e5668907f080
	AArch64: Fix and improve SVE pow(f) special cases

	* sysdeps/aarch64/fpu/pow_sve.c: Modified.
	(specialcase): Modified function.
	(sv_call_specialcase): Remove function.
	(sv_exp_inline): Modified function.
	(pow_sc): Remove function.
	(SV_NAME_D2): Modified function.
	(pow_specialcase): New function.
	(sv_pow_specialcase): New function.
	* sysdeps/aarch64/fpu/powf_sve.c: Modified.
	(powf_specialcase): Modified function.
	(sv_call_powf_sc): Modified function.
	(SV_NAME_F2): Modified function.

2025-11-18  Pierre Blanchard  <pierre.blanchard@arm.com>

	COMMIT: e889160273a4c2b68870c9adf341955867d76a7d
	AArch64: fix SVE tanpi(f) [BZ #33642]

	* sysdeps/aarch64/fpu/tanpi_sve.c: Modified.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/tanpif_sve.c: Modified.
	(SV_NAME_F1): Modified function.

2025-11-18  gfleury  <gfleury@disroot.org>

	COMMIT: d9898406939dee16819e90c3f55c356e3e5ef251
	htl: move pthread_hurd_cond_timedwait_np, pthread_hurd_cond_wait_np into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/mach/hurd/htl/pt-hurd-cond-timedwait.c: Modified.
	(strong_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_21, GLIBC_2_43)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/htl/pt-hurd-cond-wait.c: Modified.
	(strong_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_21, GLIBC_2_43)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-18  gfleury  <gfleury@disroot.org>

	COMMIT: bb3524a879fdcaa3588d811ab6494c04fce75a76
	htl: move pthread_getname_np/setname_np into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_getname_np): New function.
	(__pthread_setname_np): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/htl/pt-getname-np.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_40, GLIBC_2_43)](compat_symbol): New.
	(string.h): Include file.
	(shlib-compat.h): Include file.
	(ldsodefs.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/htl/pt-setname-np.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_40, GLIBC_2_43)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(ldsodefs.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-18  gfleury  <gfleury@disroot.org>

	COMMIT: 77f446346a678f54cf10945d159ccdd2869769a2
	htl: fix compatibility

	* htl/Versions: Modified.

2025-11-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8c66b742cf6f2e97c2b4adebf7e06c36d1726f45
	Add new AArch64 HWCAP3 definitions from Linux 6.17 to bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP3_MTE_FAR): New.
	(HWCAP3_MTE_STORE_ONLY): New.

2025-11-18  Arjun Shankar  <arjun@redhat.com>

	COMMIT: e53d85947f1e407bad864247f657ae202affb7f6
	malloc: Simplify tst-free-errno munmap failure test

	* malloc/tst-free-errno.c: Modified.
	(support/xunistd.h): Remove include.
	(do_test): Modified function.
	(stdio.h): Include file.

2025-11-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: b9579342c68baf0beacfb4e93b9a6a325d3f9527
	Remove support for lock elision.

	* NEWS: Modified.
	* elf/dl-tunables.list: Modified.
	* elf/libc_early_init.c: Modified.
	(elision-conf.h): Remove include.
	(__libc_early_init): Modified function.
	* manual/README.pretty-printers: Modified.
	* manual/tunables.texi: Modified.
	* nptl/Makefile: Modified.
	* nptl/elision-conf.c: Delete file.
	* nptl/elision-conf.h: Delete file.
	* nptl/elision-lock.c: Delete file.
	* nptl/elision-timed.c: Delete file.
	* nptl/elision-trylock.c: Delete file.
	* nptl/elision-unlock.c: Delete file.
	* nptl/lowlevellock.c: Modified.
	[ENABLE_ELISION_SUPPORT](__pthread_force_elision): Remove.
	[ENABLE_ELISION_SUPPORT](libc_hidden_data_def): Remove.
	* nptl/nptl-printers.py: Modified.
	* nptl/nptl_lock_constants.pysym: Modified.
	* nptl/pthread_mutex_cond_lock.c: Modified.
	(LLL_MUTEX_LOCK_ELISION): Remove.
	(LLL_MUTEX_TRYLOCK_ELISION): Remove.
	* nptl/pthread_mutex_lock.c: Modified.
	[! LLL_MUTEX_LOCK](LLL_MUTEX_LOCK_ELISION): Remove.
	[! LLL_MUTEX_LOCK](LLL_MUTEX_TRYLOCK_ELISION): Remove.
	(PTHREAD_MUTEX_LOCK): Modified function.
	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.
	* nptl/pthread_mutex_trylock.c: Modified.
	(___pthread_mutex_trylock): Modified function.
	* nptl/pthread_mutex_unlock.c: Modified.
	(__pthread_mutex_unlock_usercnt): Modified function.
	* nptl/pthread_mutexattr_gettype.c: Modified.
	(__pthread_mutexattr_gettype): Modified function.
	* nptl/pthread_mutexattr_settype.c: Modified.
	(___pthread_mutexattr_settype): Modified function.
	* nptl/pthread_rwlock_common.c: Modified.
	* nptl/test-mutex-printers.py: Modified.
	* nptl/tst-mutex8.c: Modified.
	(unistd.h): Remove include.
	(elf/dl-tunables.h): Remove include.
	(check_type): Modified function.
	* scripts/test_printers_common.py: Modified.
	* sysdeps/generic/elide.h: Delete file.
	* sysdeps/nptl/bits/struct_mutex.h: Modified.
	* sysdeps/nptl/bits/struct_rwlock.h: Modified.
	* sysdeps/nptl/lowlevellock.h: Modified.
	[! ENABLE_ELISION_SUPPORT](lll_clocklock_elision): Remove.
	[! ENABLE_ELISION_SUPPORT](lll_lock_elision): Remove.
	[! ENABLE_ELISION_SUPPORT](lll_trylock_elision): Remove.
	[! ENABLE_ELISION_SUPPORT](lll_unlock_elision): Remove.
	[! ENABLE_ELISION_SUPPORT](FORCE_ELISION): Remove.
	[ENABLE_ELISION_SUPPORT][! ELISION_UNLOCK_NEEDS_ADAPT_COUNT](__lll_unlock_elision): Remove.
	[ENABLE_ELISION_SUPPORT][! ELISION_UNLOCK_NEEDS_ADAPT_COUNT](lll_unlock_elision): Remove.
	[ENABLE_ELISION_SUPPORT][ELISION_UNLOCK_NEEDS_ADAPT_COUNT](__lll_unlock_elision): Remove.
	[ENABLE_ELISION_SUPPORT][ELISION_UNLOCK_NEEDS_ADAPT_COUNT](lll_unlock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](__pthread_force_elision): Remove.
	[ENABLE_ELISION_SUPPORT](libc_hidden_proto): Remove.
	[ENABLE_ELISION_SUPPORT](__lll_elision_init): Remove.
	[ENABLE_ELISION_SUPPORT](__lll_clocklock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](libc_hidden_proto): Remove.
	[ENABLE_ELISION_SUPPORT](__lll_lock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](libc_hidden_proto): Remove.
	[ENABLE_ELISION_SUPPORT](libc_hidden_proto): Remove.
	[ENABLE_ELISION_SUPPORT](__lll_trylock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](libc_hidden_proto): Remove.
	[ENABLE_ELISION_SUPPORT](lll_clocklock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](lll_lock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](lll_trylock_elision): Remove.
	[ENABLE_ELISION_SUPPORT](FORCE_ELISION): Remove.
	(elision-conf.h): Remove include.
	* sysdeps/nptl/pthreadP.h: Modified.
	(<anonymous>): Modified.
	(PTHREAD_MUTEX_TYPE_ELISION): Remove.
	* sysdeps/powerpc/nptl/bits/struct_mutex.h: Modified.
	(__pthread_mutex_s): Modified.
	* sysdeps/powerpc/nptl/bits/struct_rwlock.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_RWLOCK_INITIALIZER): Modified.
	[__WORDSIZE == 64](__PTHREAD_RWLOCK_INITIALIZER): Modified.
	(__pthread_rwlock_arch_t): Modified.
	* sysdeps/powerpc/nptl/elide.h: Delete file.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/elision-conf.h: Delete file.
	* sysdeps/pthread/tst-mutex-errorcheck.c: Modified.
	* sysdeps/pthread/tst-mutex10.c: Delete file.
	* sysdeps/pthread/tst-mutex5.c: Modified.
	(config.h): Remove include.
	* sysdeps/s390/configure: Modified.
	* sysdeps/s390/configure.ac: Modified.
	* sysdeps/s390/nptl/bits/struct_mutex.h: Modified.
	(__pthread_mutex_s): Modified.
	* sysdeps/unix/sysv/linux/powerpc/elision-conf.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/elision-conf.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/elision-lock.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/elision-timed.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/elision-trylock.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/elision-unlock.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/htm.h: Delete file.
	* sysdeps/unix/sysv/linux/s390/Makefile: Modified.
	* sysdeps/unix/sysv/linux/s390/elision-conf.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/elision-conf.h: Delete file.
	* sysdeps/unix/sysv/linux/s390/elision-lock.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/elision-timed.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/elision-trylock.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/elision-unlock.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/htm.h: Delete file.
	* sysdeps/unix/sysv/linux/x86/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86/elision-conf.c: Delete file.
	* sysdeps/unix/sysv/linux/x86/elision-conf.h: Delete file.
	* sysdeps/unix/sysv/linux/x86/elision-lock.c: Delete file.
	* sysdeps/unix/sysv/linux/x86/elision-timed.c: Delete file.
	* sysdeps/unix/sysv/linux/x86/elision-trylock.c: Delete file.
	* sysdeps/unix/sysv/linux/x86/elision-unlock.c: Delete file.
	* sysdeps/unix/sysv/linux/x86/hle.h: Delete file.
	* sysdeps/x86/elide.h: Delete file.
	* sysdeps/x86/nptl/bits/struct_mutex.h: Modified.
	(__pthread_mutex_s): Modified.
	* sysdeps/x86/nptl/bits/struct_rwlock.h: Modified.
	[__x86_64__](__PTHREAD_RWLOCK_INITIALIZER): Modified.
	(__pthread_rwlock_arch_t): Modified.

2025-11-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5029b63280b505467d3452e91a1c51705e34ed35
	nss: Remove effectively unused struct nss_database_default_cache

	* nss/nss_database.c: Modified.
	(nss_database_default_cache): Remove.
	(nss_database_select_default): Modified function.
	(nss_database_reload): Modified function.

2025-11-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a025a9deef8ad0034e88785a6999014fa2808e12
	nss: Clean up function pointer/void * unions

	* nss/ether_hton.c: Modified.
	(ether_hostton): Modified function.
	* nss/ether_ntoh.c: Modified.
	(ether_ntohost): Modified function.
	* nss/getXXbyYY_r.c: Modified.
	(INTERNAL): Modified function.
	* nss/getnetgrent_r.c: Modified.
	(__internal_setnetgrent_reuse): Modified function.
	(innetgr): Modified function.
	* nss/getnssent_r.c: Modified.
	(__nss_setent): Modified function.
	(__nss_endent): Modified function.
	(__nss_getent_r): Modified function.
	* sunrpc/netname.c: Modified.
	(netname2user): Modified function.
	* sunrpc/publickey.c: Modified.
	(getpublickey): Modified function.
	(getsecretkey): Modified function.

2025-11-18  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 6463953fec2a8c9acda19ecd49358aa1f80eb02f
	linux/termios: factor out the kernel interface from termios_internal.h

	* sysdeps/unix/sysv/linux/alpha/termios_arch.h: Modified.
	[! TERMIOS_INTERNALS_H](<termios_arch.h> should only be included from <termios_internals.h>"): Remove.
	[! K_TERMIOS_H](<termios_arch.h> should only be included from <k_termios.h>"): New.
	* sysdeps/unix/sysv/linux/k_termios.h: New file.
	* sysdeps/unix/sysv/linux/termios_internals.h: Modified.
	[! TCGETS2](TCGETS2): Remove.
	[! TCGETS2](TCSETS2): Remove.
	[! TCGETS2](TCSETSW2): Remove.
	[! TCGETS2](TCSETSF2): Remove.
	[!__ASSUME_TERMIOS2](TCGETS2): Remove.
	(termios_arch.h): Remove include.
	(termios2): Remove.
	(k_termios.h): Include file.

2025-11-18  H. Peter Anvin  <hpa@zytor.com>

	COMMIT: 8d999a6993611d375adc9efc5369c7bb7963b716
	linux/termios: clear k_termios.c_cflag & CIBAUD for non-split speed [BZ 33340]

	* sysdeps/unix/sysv/linux/tcsetattr.c: Modified.
	(__tcsetattr): Modified function.

2025-11-17  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: 04eea3aa48df4e45f473f5ee1c7aac6a6e8302bc
	manual: don't use the FSF's old address in license text.

	* SHARED-FILES: Modified.
	* manual/lgpl-2.1.texi: Modified.

2025-11-17  Pádraig Brady  <P@draigBrady.com>

	COMMIT: efc8642051e6c4fe5165e8986c1338ba2c180de6
	posix: execvpe: fix UMR with file > NAME_MAX [BZ #33627]

	* posix/execvpe.c: Modified.
	(__execvpe_common): Modified function.

2025-11-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 03db4466593b9bbf7bce59cd8d4b82434bafa0cd
	configure: Remove for redirection of built-in functions

	* configure: Modified.
	* configure.ac: Modified.

2025-11-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1abdb38135cc6608c8bcc2293cac1a4ea5b3ca62
	math: Handle fabsf128 !__USE_EXTERN_INLINES

	* include/math.h: Modified.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128][! __GNUC_PREREQ (7, 0)](ieee754_float128.h): Remove.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128][! __GNUC_PREREQ (7, 0)](__isinff128): Remove.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128](fabsf128): Remove function.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128][! __USE_EXTERN_INLINES](libm_hidden_proto): New.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128][__USE_EXTERN_INLINES][! __GNUC_PREREQ (7, 0)](ieee754_float128.h): New.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128][__USE_EXTERN_INLINES][! __GNUC_PREREQ (7, 0)](__isinff128): New.
	[! _ISOMAC][__HAVE_DISTINCT_FLOAT128][__USE_EXTERN_INLINES](fabsf128): New.
	* sysdeps/ieee754/float128/s_fabsf128.c: Modified.
	[! __USE_EXTERN_INLINES](libm_hidden_def): New.

2025-11-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 53ad1eae0fed85d16c3a00eae6b9ca6bd030b624
	x86: Fix strstr ifunc on clang

	* sysdeps/x86_64/multiarch/strstr.c: Modified.
	(__libc_strstr): Remove.
	(libc_ifunc): Remove.
	(IFUNC_SELECTOR): New function.
	(libc_ifunc_redirected): New function.

2025-11-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: edd4dc7dc830a4e3ba52058c75fc5eda9e800f17
	x86: Use -mavx instead of -msse2avx

	* sysdeps/x86_64/fpu/multiarch/Makefile: Modified.

2025-11-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 13cfd77bf5679e8a888a63e233fb60529177b278
	math: Don't redirect inlined builtin math functions

	* include/math.h: Modified.
	[! _ISOMAC][!IS_IN (testsuite_internal)  && !( __FINITE_MATH_ONLY__ && __FINITE_MATH_ONLY__ > 0)][! NO_MATH_REDIRECT][!(__NO_LONG_DOUBLE_MATH 				 || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1)](MATH_REDIRECT_LDBL): Modified.
	[! _ISOMAC][!IS_IN (testsuite_internal)  && !( __FINITE_MATH_ONLY__ && __FINITE_MATH_ONLY__ > 0)][! NO_MATH_REDIRECT][__HAVE_DISTINCT_FLOAT128](MATH_REDIRECT_F128): Modified.
	[! _ISOMAC][!IS_IN (testsuite_internal)  && !( __FINITE_MATH_ONLY__ && __FINITE_MATH_ONLY__ > 0)][! NO_MATH_REDIRECT](MATH_REDIRECT): Modified.
	[! _ISOMAC][!IS_IN (testsuite_internal)  && !( __FINITE_MATH_ONLY__ && __FINITE_MATH_ONLY__ > 0)](math-use-builtins.h): Include file.
	* math/s_fmax_template.c: Modified.
	(math-use-builtins.h): Remove include.
	* math/s_fmin_template.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/generic/math-use-builtins-copysign.h: Modified.
	(USE_COPYSIGNF_BUILTIN): New.
	(USE_COPYSIGN_BUILTIN): New.
	* sysdeps/generic/math-use-builtins.h: Modified.
	[! USE_CEILF128_BUILTIN](NO_ceilf128_BUILTIN): New.
	[! USE_CEILF_BUILTIN](NO_ceilf_BUILTIN): New.
	[! USE_CEILL_BUILTIN](NO_ceill_BUILTIN): New.
	[! USE_CEIL_BUILTIN](NO_ceil_BUILTIN): New.
	[! USE_COPYSIGNF128_BUILTIN](NO_copysignf128_BUILTIN): New.
	[! USE_COPYSIGNF_BUILTIN](NO_copysignf_BUILTIN): New.
	[! USE_COPYSIGNL_BUILTIN](NO_copysignl_BUILTIN): New.
	[! USE_COPYSIGN_BUILTIN](NO_copysign_BUILTIN): New.
	[! USE_FLOORF128_BUILTIN](NO_floorf128_BUILTIN): New.
	[! USE_FLOORF_BUILTIN](NO_floorf_BUILTIN): New.
	[! USE_FLOORL_BUILTIN](NO_floorl_BUILTIN): New.
	[! USE_FLOOR_BUILTIN](NO_floor_BUILTIN): New.
	[! USE_FMAF128_BUILTIN](NO_fmaf128_BUILTIN): New.
	[! USE_FMAF_BUILTIN](NO_fmaf_BUILTIN): New.
	[! USE_FMAL_BUILTIN](NO_fmal_BUILTIN): New.
	[! USE_FMA_BUILTIN](NO_fma_BUILTIN): New.
	[! USE_RINTF128_BUILTIN](NO_rintf128_BUILTIN): New.
	[! USE_RINTF_BUILTIN](NO_rintf_BUILTIN): New.
	[! USE_RINTL_BUILTIN](NO_rintl_BUILTIN): New.
	[! USE_RINT_BUILTIN](NO_rint_BUILTIN): New.
	[! USE_ROUNDEVENF128_BUILTIN](NO_roundevenf128_BUILTIN): New.
	[! USE_ROUNDEVENF_BUILTIN](NO_roundevenf_BUILTIN): New.
	[! USE_ROUNDEVENL_BUILTIN](NO_roundevenl_BUILTIN): New.
	[! USE_ROUNDEVEN_BUILTIN](NO_roundeven_BUILTIN): New.
	[! USE_ROUNDF128_BUILTIN](NO_roundf128_BUILTIN): New.
	[! USE_ROUNDF_BUILTIN](NO_roundf_BUILTIN): New.
	[! USE_ROUNDL_BUILTIN](NO_roundl_BUILTIN): New.
	[! USE_ROUND_BUILTIN](NO_round_BUILTIN): New.
	[! USE_SQRTF128_BUILTIN](NO_sqrtf128_BUILTIN): New.
	[! USE_SQRTF_BUILTIN](NO_sqrtf_BUILTIN): New.
	[! USE_SQRTL_BUILTIN](NO_sqrtl_BUILTIN): New.
	[! USE_SQRT_BUILTIN](NO_sqrt_BUILTIN): New.
	[! USE_TRUNCF128_BUILTIN](NO_truncf128_BUILTIN): New.
	[! USE_TRUNCF_BUILTIN](NO_truncf_BUILTIN): New.
	[! USE_TRUNCL_BUILTIN](NO_truncl_BUILTIN): New.
	[! USE_TRUNC_BUILTIN](NO_trunc_BUILTIN): New.
	[USE_CEILF128_BUILTIN](NO_ceilf128_BUILTIN): New.
	[USE_CEILF_BUILTIN](NO_ceilf_BUILTIN): New.
	[USE_CEILL_BUILTIN](NO_ceill_BUILTIN): New.
	[USE_CEIL_BUILTIN](NO_ceil_BUILTIN): New.
	[USE_COPYSIGNF128_BUILTIN](NO_copysignf128_BUILTIN): New.
	[USE_COPYSIGNF_BUILTIN](NO_copysignf_BUILTIN): New.
	[USE_COPYSIGNL_BUILTIN](NO_copysignl_BUILTIN): New.
	[USE_COPYSIGN_BUILTIN](NO_copysign_BUILTIN): New.
	[USE_FLOORF128_BUILTIN](NO_floorf128_BUILTIN): New.
	[USE_FLOORF_BUILTIN](NO_floorf_BUILTIN): New.
	[USE_FLOORL_BUILTIN](NO_floorl_BUILTIN): New.
	[USE_FLOOR_BUILTIN](NO_floor_BUILTIN): New.
	[USE_FMAF128_BUILTIN](NO_fmaf128_BUILTIN): New.
	[USE_FMAF_BUILTIN](NO_fmaf_BUILTIN): New.
	[USE_FMAL_BUILTIN](NO_fmal_BUILTIN): New.
	[USE_FMA_BUILTIN](NO_fma_BUILTIN): New.
	[USE_RINTF128_BUILTIN](NO_rintf128_BUILTIN): New.
	[USE_RINTF_BUILTIN](NO_rintf_BUILTIN): New.
	[USE_RINTL_BUILTIN](NO_rintl_BUILTIN): New.
	[USE_RINT_BUILTIN](NO_rint_BUILTIN): New.
	[USE_ROUNDEVENF128_BUILTIN](NO_roundevenf128_BUILTIN): New.
	[USE_ROUNDEVENF_BUILTIN](NO_roundevenf_BUILTIN): New.
	[USE_ROUNDEVENL_BUILTIN](NO_roundevenl_BUILTIN): New.
	[USE_ROUNDEVEN_BUILTIN](NO_roundeven_BUILTIN): New.
	[USE_ROUNDF128_BUILTIN](NO_roundf128_BUILTIN): New.
	[USE_ROUNDF_BUILTIN](NO_roundf_BUILTIN): New.
	[USE_ROUNDL_BUILTIN](NO_roundl_BUILTIN): New.
	[USE_ROUND_BUILTIN](NO_round_BUILTIN): New.
	[USE_SQRTF128_BUILTIN](NO_sqrtf128_BUILTIN): New.
	[USE_SQRTF_BUILTIN](NO_sqrtf_BUILTIN): New.
	[USE_SQRTL_BUILTIN](NO_sqrtl_BUILTIN): New.
	[USE_SQRT_BUILTIN](NO_sqrt_BUILTIN): New.
	[USE_TRUNCF128_BUILTIN](NO_truncf128_BUILTIN): New.
	[USE_TRUNCF_BUILTIN](NO_truncf_BUILTIN): New.
	[USE_TRUNCL_BUILTIN](NO_truncl_BUILTIN): New.
	[USE_TRUNC_BUILTIN](NO_trunc_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/e_hypot.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/e_sqrt.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_ceil.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_floor.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_fma.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_fmaf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_llrint.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_llround.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_logb.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_lrint.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_lround.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_modf.c: Modified.
	(math-use-builtins-trunc.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_nearbyint.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_rint.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_round.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_roundeven.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/dbl-64/s_trunc.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_ceilf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_floorf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_llrintf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_llroundf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_logbf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_lrintf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_lroundf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_modff.c: Modified.
	(math-use-builtins-trunc.h): Remove include.
	* sysdeps/ieee754/flt-32/s_nearbyintf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_rintf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_roundevenf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_roundf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/flt-32/s_truncf.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_ceill.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_copysignl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_floorl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_fmal.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_llrintl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_logbl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_lrintl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_nearbyintl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_rintl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_roundevenl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_roundl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128/s_truncl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-128ibm/s_fabsl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/ieee754/ldbl-96/s_fabsl.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/mips/fpu/math-use-builtins-fma.h: Modified.
	(sysdep.h): Remove include.
	(isarev.h): Include file.
	* sysdeps/mips/isarev.h: New file.
	* sysdeps/mips/math-use-builtins-ffs.h: Modified.
	(sysdep.h): Remove include.
	(isarev.h): Include file.
	* sysdeps/powerpc/fpu/e_sqrt.c: Modified.
	(math-use-builtins.h): Remove include.
	* sysdeps/unix/mips/sysdep.h: Modified.
	[! __mips_isa_rev](__mips_isa_rev): Remove.
	(isarev.h): Include file.
	* sysdeps/x86_64/fpu/multiarch/s_modf-avx.c: Modified.
	(math_private.h): Remove include.
	(trunc): Remove.
	* sysdeps/x86_64/fpu/multiarch/s_modf-sse4_1.c: Modified.
	(math_private.h): Remove include.
	(trunc): Remove.
	* sysdeps/x86_64/fpu/multiarch/s_modff-avx.c: Modified.
	(math_private.h): Remove include.
	(truncf): Remove.
	* sysdeps/x86_64/fpu/multiarch/s_modff-sse4_1.c: Modified.
	(math_private.h): Remove include.
	(truncf): Remove.

2025-11-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a0ce8b0779e290596e99ca6d96c301684a2d7cfe
	Update COPYING, COPYING.LIB from gnulib, using gnulib file names

	* COPYING.LESSERv2: New file.
	* COPYING.LIB: Changed file permission bits from 100644 to 120000
	* COPYING: Move to...
	* COPYINGv2: ... here.
	* SHARED-FILES: Modified.

2025-11-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e067e53080386e93dcf8b07e25fb6656f2c8941e
	Add COPYINGv3 with the GPL version 3 text

	* COPYINGv3: New file.
	* SHARED-FILES: Modified.
	* scripts/update-copyrights: Modified.

2025-11-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c6f151839b0e2ac29f8f825a3f0a07d774e4f3a7
	Reference COPYING.LIB in <sframe.h> copyright header

	* sysdeps/generic/sframe.h: Modified.

2025-11-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5b6ee0e0ba7321ca37db12a942493e4ea8eead92
	htl: move pthread_create to into libc

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-create.c: Modified.
	[IS_IN (libpthread)](ctype.h): Remove.
	(entry_point): Modified function.
	(__pthread_create): Modified function.
	(weak_alias): Remove.
	(__pthread_create_internal): Modified function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(ldsodefs.h): Include file.
	(ctype.h): Include file.
	(versioned_symbol): New function.
	(__libc_pthread_create): New function.
	* hurd/hurdsig.c: Modified.
	(_hurdsig_init): Modified function.
	* sysdeps/htl/pthreadP.h: Modified.
	[IS_IN (libpthread)](hidden_proto): Remove.
	(libc-symbols.h): Remove include.
	(__libc_pthread_create): New function.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-sysdep.c: Modified.
	[SHARED](dynamic_init_routine): Remove.
	(_init_routine): Modified function.
	(ldsodefs.h): Include file.
	(register-atfork.h): Include file.
	(dso_handle.h): Include file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f63dd924312919667f8c71f7701523dfdc542067
	htl: Move __pthread_enable/disable_asynccancel into libc

	* htl/Makefile: Modified.
	* htl/Versions: Modified.

2025-11-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5db67a03e9c5be866119a224b3372bf82e795b38
	hurd: Fix getting rlimit in _hurd_alloc_fd

	* hurd/alloc-fd.c: Modified.
	(_hurd_alloc_fd): Modified function.

2025-11-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c7d699b55b4e2f5644495a156b0d778105a5e4e3
	htl: Add missing include

	* sysdeps/htl/pthreadP.h: Modified.
	(libc-symbols.h): Include file.

2025-11-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a064213785e0184a149ca7a4f757c87d65e8689a
	loongarch: Remove TLS_TCB_ALIGN

	* sysdeps/loongarch/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_TCB_ALIGN): New.

2025-11-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ce61fcf7022c5344bd8311daab312fb69506d1a7
	hurd: Fix restoring SSE state on signal

	* sysdeps/mach/hurd/x86/Makefile: Modified.

2025-11-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 9f18265a8ec8ab8fc8f1483e99c1b2ea0df4a94c
	Remove TLS_TCB_ALIGN and TLS_INIT_TCB_ALIGN

	* sysdeps/loongarch/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TCB_ALIGN): Remove.
	[! __ASSEMBLER__](TLS_TCB_ALIGN): Remove.
	* sysdeps/or1k/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TCB_ALIGN): Remove.
	[! __ASSEMBLER__](TLS_TCB_ALIGN): Remove.

2025-11-14  Osama Abdelkader  <osama.abdelkader@gmail.com>

	COMMIT: 4f18501498e8fe7eca8d4adaeabb108ae62972cd
	math: Optimize frexpl (intel96) with fast path for normal numbers

	* sysdeps/ieee754/ldbl-96/s_frexpl.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	[LDBL_MANT_DIG != 64](Cannot handle this MANT_DIG"): Remove.
	[LDBL_MANT_DIG != 64](__frexpl): Remove.
	[LDBL_MANT_DIG == 64](two65): Remove.
	(__frexpl): Modified function.
	(EXPONENT_BIAS): New.
	(two65): New.

2025-11-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7fec8a5de6826ef9ae440238d698f0fe5a5fb372
	Revert __HAVE_64B_ATOMICS configure check

	* config.h.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* htl/pt-internal.h: Modified.
	(new_sem): Modified.
	* include/atomic.h: Modified.
	[! __HAVE_64B_ATOMICS](Unable to determine if 64-bit atomics are present.): Remove.
	[__HAVE_64B_ATOMICS != 1](__atomic_check_size): Remove.
	[__HAVE_64B_ATOMICS != 1](__atomic_check_size_ls): Remove.
	[__HAVE_64B_ATOMICS == 1](__atomic_check_size): Remove.
	[__HAVE_64B_ATOMICS == 1](__atomic_check_size_ls): Remove.
	[USE_64B_ATOMICS != 1](__atomic_check_size): New.
	[USE_64B_ATOMICS != 1](__atomic_check_size_ls): New.
	[USE_64B_ATOMICS == 1](__atomic_check_size): New.
	[USE_64B_ATOMICS == 1](__atomic_check_size_ls): New.
	* include/atomic_wide_counter.h: Modified.
	[! __HAVE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): Remove.
	[! __HAVE_64B_ATOMICS](__atomic_wide_counter_load_acquire): Remove.
	[! __HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): Remove.
	[! __HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): Remove.
	[! __HAVE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): Remove.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): Remove.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_load_acquire): Remove.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): Remove.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): Remove.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): Remove.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_xor_release): Remove.
	[! USE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): New.
	[! USE_64B_ATOMICS](__atomic_wide_counter_load_acquire): New.
	[! USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): New.
	[! USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): New.
	[! USE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): New.
	[USE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): New.
	[USE_64B_ATOMICS](__atomic_wide_counter_load_acquire): New.
	[USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): New.
	[USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_acquire): New.
	[USE_64B_ATOMICS](__atomic_wide_counter_add_relaxed): New.
	[USE_64B_ATOMICS](__atomic_wide_counter_fetch_xor_release): New.
	* misc/atomic_wide_counter.c: Modified.
	[!__HAVE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): Remove.
	[!__HAVE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): Remove.
	[!USE_64B_ATOMICS](__atomic_wide_counter_fetch_add_relaxed): New.
	[!USE_64B_ATOMICS](__atomic_wide_counter_load_relaxed): New.
	* nptl/pthread_cond_common.c: Modified.
	[__HAVE_64B_ATOMICS != 1](__condvar_fetch_xor_wseq_release): Remove.
	[__HAVE_64B_ATOMICS == 1](__condvar_fetch_xor_wseq_release): Remove.
	[USE_64B_ATOMICS != 1](__condvar_fetch_xor_wseq_release): New.
	[USE_64B_ATOMICS == 1](__condvar_fetch_xor_wseq_release): New.
	* nptl/sem_getvalue.c: Modified.
	(__new_sem_getvalue): Modified function.
	* nptl/sem_init.c: Modified.
	(__new_sem_init): Modified function.
	* nptl/sem_post.c: Modified.
	(__new_sem_post): Modified function.
	* nptl/sem_waitcommon.c: Modified.
	[!__HAVE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	[!__HAVE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	(__sem_wait_cleanup): Modified function.
	(do_futex_wait): Modified function.
	(__new_sem_wait_fast): Modified function.
	(__new_sem_wait_slow64): Modified function.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): New.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): New.
	* nptl/semaphoreP.h: Modified.
	(__new_sem_open_init): Modified function.
	* nptl/tst-sem11.c: Modified.
	(do_test): Modified function.
	* nptl/tst-sem13.c: Modified.
	(do_test_wait): Modified function.
	* stdlib/setenv.h: Modified.
	[! __HAVE_64B_ATOMICS](environ_counter): Remove.
	[__HAVE_64B_ATOMICS](environ_counter): Remove.
	[! USE_64B_ATOMICS](environ_counter): New.
	[USE_64B_ATOMICS](environ_counter): New.
	* sysdeps/alpha/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(_ALPHA_ATOMIC_MACHINE_H): New.
	(_next <atomic-machine.h): Include file.
	* sysdeps/generic/atomic-machine.h: Modified.
	[__WORDSIZE != 64](USE_64B_ATOMICS): New.
	[__WORDSIZE == 64](USE_64B_ATOMICS): New.
	(bits/wordsize.h): Include file.
	* sysdeps/htl/sem-destroy.c: Modified.
	(__sem_destroy): Modified function.
	* sysdeps/htl/sem-getvalue.c: Modified.
	(__sem_getvalue): Modified function.
	* sysdeps/htl/sem-post.c: Modified.
	(__sem_post): Modified function.
	* sysdeps/htl/sem-timedwait.c: Modified.
	[!__HAVE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	[!__HAVE_64B_ATOMICS](__sem_wait_32_finish): Remove.
	(__sem_wait_cleanup): Modified function.
	(__sem_timedwait_internal): Modified function.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): New.
	[!USE_64B_ATOMICS](__sem_wait_32_finish): New.
	* sysdeps/htl/sem-waitfast.c: Modified.
	(__sem_waitfast): Modified function.
	* sysdeps/nptl/internaltypes.h: Modified.
	(new_sem): Modified.
	* sysdeps/nptl/rseq-access.h: Modified.
	[! __HAVE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): Remove.
	[__HAVE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): Remove.
	[! USE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): New.
	[USE_64B_ATOMICS](__RSEQ_ASSERT_ATOMIC): New.
	* sysdeps/riscv/atomic-machine.h: Modified.
	[__riscv_atomic](_next <atomic-machine.h): Include file.
	* sysdeps/sparc/atomic-machine.h: Modified.
	(_ATOMIC_MACHINE_H): Remove.
	(_SPARC_ATOMIC_MACHINE_H): New.
	(_next <atomic-machine.h): Include file.
	* sysdeps/x86/atomic-machine.h: Modified.
	[! __x86_64__](USE_64B_ATOMICS): New.
	[__x86_64__](USE_64B_ATOMICS): New.

2025-11-14  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 5bdf3c909274a4796b848d7595a025dca1951570
	x86: Increase allowable TSX abort rate to 6%.

	* sysdeps/x86/tst-string-rtm.h: Modified.
	(do_test_1): Modified function.

2025-11-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 91fb9914d867320d65a2abe284fb623d91ae5efb
	htl: Remove errno and herrno from libpthread

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/herrno.c: Delete file.
	* sysdeps/htl/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 23b8e6ae4fb4ccb28fcf92d86dbb351df3a591b7
	htl: Drop pthread-functions infrastructure

	* benchtests/strcoll-inputs/filelist#en_US.UTF-8: Modified.
	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Delete file.
	* htl/libc_pthread_init.c: Delete file.
	* htl/pt-initialize.c: Delete file.
	* htl/pt-internal.h: Modified.
	[_pthread_self](libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_create_internal): Remove.
	* sysdeps/htl/libc-lockP.h: Modified.
	[!(IS_IN (libpthread))](PTFAVAIL): Remove.
	[!(IS_IN (libpthread))](__libc_ptf_call): Remove.
	[!(IS_IN (libpthread))](__libc_ptf_call_always): Remove.
	[IS_IN (libpthread)](PTFAVAIL): Remove.
	[IS_IN (libpthread)](__libc_ptf_call): Remove.
	[IS_IN (libpthread)](__libc_ptf_call_always): Remove.
	[SHARED && IS_IN (libc)](PTFAVAIL): Remove.
	[SHARED && IS_IN (libc)](__libc_ptf_call): Remove.
	[SHARED && IS_IN (libc)](__libc_ptf_call_always): Remove.
	(pthread-functions.h): Remove include.
	(__libc_key_create): Remove.
	(__libc_getspecific): Remove.
	(__libc_setspecific): Remove.
	* sysdeps/htl/pthread-functions.h: Delete file.
	* sysdeps/mach/hurd/htl/pt-sysdep.c: Modified.
	(_init_routine): Modified function.
	* sysdeps/nptl/libc-lockP.h: Modified.
	(PTFAVAIL): Remove.
	(__libc_ptf_call): Remove.
	(__libc_ptf_call_always): Remove.

2025-11-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6c933807a94ed4bd8211590179060120a2d530e7
	htl: Move __pthread_cleanup_stack out of libc_pthread_init.c

	* htl/Versions: Modified.
	* htl/libc_pthread_init.c: Modified.
	(__pthread_cleanup_stack): Remove.
	* htl/pt-cleanup.c: Modified.
	(__pthread_cleanup_stack): New.
	* htl/pt-internal.h: Modified.
	[_pthread_self](__pthread_cleanup_stack): Remove.
	[_pthread_self](libc_hidden_proto): New function.
	(__pthread_cleanup_stack): Remove.
	(___pthread_init): Remove.
	(libc_hidden_proto): New function.

2025-11-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f6a60e9867f76127d4a5b002473e2e840358b7fd
	htl: move {,_IO_}f{,un,try}lockfile implementation into libc

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/lockfile.c: Delete file.
	* htl/pt-initialize.c: Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](__flockfile): Modified.
	[! _ISOMAC](__funlockfile): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* stdio-common/flockfile.c: Modified.
	(libc_hidden_def): New.
	* stdio-common/funlockfile.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/htl/flockfile.c: Modified.
	(libc-lockP.h): Remove include.
	(__flockfile): Modified function.
	(weak_alias): Remove.
	(weak_alias): Remove.
	[!(OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12))](weak_alias): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12)][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12)](versioned_symbol): New.
	(stdio-lock.h): Include file.
	(libc_hidden_def): New.
	(weak_alias): New function.
	* sysdeps/htl/ftrylockfile.c: Modified.
	(libc-lockP.h): Remove include.
	(__ftrylockfile): Modified function.
	(weak_alias): Remove.
	(weak_alias): Remove.
	[!(OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12))](weak_alias): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12)][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12)](versioned_symbol): New.
	(stdio-lock.h): Include file.
	(weak_alias): New function.
	* sysdeps/htl/funlockfile.c: Modified.
	(__funlockfile): Modified function.
	(weak_alias): Remove.
	(weak_alias): Remove.
	[!(OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12))](weak_alias): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12)][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_43)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_12)](versioned_symbol): New.
	(libc_hidden_def): New.
	(weak_alias): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(pthread_functions): Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c6908c4e241962a74aa9dc23056d332036b4879a
	linux: Add mseal to mips32 nofpu abilist

	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.

2025-11-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2254e871f49b8844a77367318d8b9cd8ca839374
	hppa: Consistently reference LGPL in copyright header

	* sysdeps/unix/sysv/linux/hppa/____longjmp_chk.c: Modified.

2025-11-13  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 1f79bc48382cc204a9cb0eae1d3cca2515af1f3c
	Change fromfp functions to return floating types following C23 (bug 28327)

	* Suppressing diff as too many files differ.

2025-11-12  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 989e538224de5eea508ceda6d273cb64df6cca56
	math: Remove float_t and double_t [BZ #33563]

	* sysdeps/aarch64/fpu/math_private.h: Modified.
	(roundtoint): Modified function.
	(converttoint): Modified function.
	* sysdeps/aarch64/fpu/pow_sve.c: Modified.
	(pow_sc): Modified function.
	* sysdeps/aarch64/fpu/powf_sve.c: Modified.
	(powf_specialcase): Modified function.
	* sysdeps/ieee754/dbl-64/e_exp.c: Modified.
	(specialcase): Modified function.
	(__exp): Modified function.
	* sysdeps/ieee754/dbl-64/e_exp10.c: Modified.
	(special_case): Modified function.
	(__exp10): Modified function.
	* sysdeps/ieee754/dbl-64/e_exp2.c: Modified.
	(specialcase): Modified function.
	(__exp2): Modified function.
	* sysdeps/ieee754/dbl-64/e_log.c: Modified.
	(__log): Modified function.
	* sysdeps/ieee754/dbl-64/e_log2.c: Modified.
	(__log2): Modified function.
	* sysdeps/ieee754/dbl-64/e_pow.c: Modified.
	(log_inline): Modified function.
	(specialcase): Modified function.
	(exp_inline): Modified function.
	(__pow): Modified function.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	[TOINT_INTRINSICS](roundtoint): Modified.
	[TOINT_INTRINSICS](converttoint): Modified.
	* sysdeps/ieee754/flt-32/e_exp2f.c: Modified.
	(__exp2f): Modified function.
	* sysdeps/ieee754/flt-32/e_expf.c: Modified.
	(__expf): Modified function.
	* sysdeps/ieee754/flt-32/e_log2f.c: Modified.
	(__log2f): Modified function.
	* sysdeps/ieee754/flt-32/e_logf.c: Modified.
	(__logf): Modified function.
	* sysdeps/ieee754/flt-32/e_powf.c: Modified.
	(log2_inline): Modified function.
	(exp2_inline): Modified function.
	(__powf): Modified function.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	[TOINT_INTRINSICS](roundtoint): Modified.
	[TOINT_INTRINSICS](converttoint): Modified.

2025-11-12  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 3b7bb7b2f27358f87019af11ef72fbf8e0a5e1f4
	math: Remove ldbl-128/s_fma.c

	* sysdeps/alpha/fpu/s_fma.c: Delete file.
	* sysdeps/ieee754/ldbl-128/s_fma.c: Delete file.
	* sysdeps/mips/mips64/n32/fpu/s_fma.c: Delete file.
	* sysdeps/mips/mips64/n64/fpu/s_fma.c: Delete file.
	* sysdeps/sparc/sparc32/fpu/s_fma.c: Delete file.
	* sysdeps/sparc/sparc64/fpu/s_fma.c: Delete file.

2025-11-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3d52fd274e9cfc74d90786672d927ca82cb40abd
	linux: Add mseal syscall support

	* NEWS: Modified.
	* manual/memory.texi: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/mman-shared.h: Modified.
	[__USE_GNU](mseal): New function.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	[!(__LINUX_KERNEL_VERSION >= 0x060A00)](__ASSUME_MSEAL): New.
	[__LINUX_KERNEL_VERSION >= 0x060A00](__ASSUME_MSEAL): New.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mseal-pkey.c: New file.
	* sysdeps/unix/sysv/linux/tst-mseal.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2025-11-12  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: a9c426bcca59a9e228c4fbe75e75154217ec4ada
	aarch64: fix includes in SME tests

	* sysdeps/aarch64/tst-sme-clone.c: Modified.
	(signal.h): Include file.
	* sysdeps/aarch64/tst-sme-clone3.c: Modified.
	(sys/wait.h): Remove include.
	(signal.h): Include file.

2025-11-12  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 2f5e68dea9deeb1b0a6bc9ffc84d5e45af445e36
	LoongArch: Call elf_ifunc_invoke for R_LARCH_IRELATIVE in elf_machine_rela

	* sysdeps/loongarch/dl-machine.h: Modified.
	[! dl_machine_h](dl-irel.h): Include file.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2025-11-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f851a7434696b70ce7c266ade1de2469619e6f52
	hurd: Drop remnants of cthreads

	* benchtests/strcoll-inputs/filelist#en_US.UTF-8: Modified.
	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/cthreads-compat.c: Delete file.
	* htl/libpthread_syms.a: Modified.
	* htl/lockfile.c: Modified.
	(_cthreads_flockfile): Remove function.
	(_cthreads_funlockfile): Remove function.
	(_cthreads_ftrylockfile): Remove function.
	(_IO_flockfile): Modified.
	(_IO_funlockfile): Modified.
	(_IO_ftrylockfile): Modified.
	(_IO_flockfile): Remove.
	(_IO_funlockfile): Remove.
	(_IO_ftrylockfile): Remove.
	(flockfile): Modified.
	(funlockfile): Modified.
	(ftrylockfile): Modified.
	(_IO_flockfile): New function.
	(_IO_funlockfile): New function.
	(_IO_ftrylockfile): New function.
	* htl/pt-initialize.c: Modified.
	(libio/libio.h): Include file.
	* hurd/Versions: Modified.
	* mach/Makefile: Modified.
	* mach/Versions: Modified.
	* mach/mutex-solid.c: Delete file.
	* sysdeps/htl/pthread-functions.h: Modified.
	(_cthreads_flockfile): Remove.
	(_cthreads_funlockfile): Remove.
	(_cthreads_ftrylockfile): Remove.
	* sysdeps/htl/pthreadP.h: Modified.
	(__cthread_t): Remove.
	(__cthread_key_t): Remove.
	(__cthread_fn_t): Remove.
	(__cthread_fork): Remove.
	(__cthread_detach): Remove.
	(__cthread_keycreate): Remove.
	(__cthread_getspecific): Remove.
	(__cthread_setspecific): Remove.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/cthreads.c: Delete file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-11-11  Bruno Haible  <bruno@clisp.org>

	COMMIT: e06a1962e67723c3d6acf14c28a6a7f79ea77ac1
	cdefs: Fix some typos in comments.

	* misc/sys/cdefs.h: Modified.

2025-11-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2eff71d28946896d085fbd0836ed1394bb55d352
	stdlib: Do not define once_flag, ONCE_FLAG_INIT for C++

	* manual/threads.texi: Modified.
	* stdlib/stdlib.h: Modified.
	[__GLIBC_USE (ISOC23)](bits/types/once_flag.h): Remove include.
	[__GLIBC_USE (ISOC23)](call_once): Remove.
	[__GLIBC_USE (ISOC23)][! __cplusplus](bits/types/once_flag.h): New.
	[__GLIBC_USE (ISOC23)][! __cplusplus](call_once): New.

2025-11-11  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 71d9f47b5a7a22a0576aea699cfd1820a83fd41b
	x86-64: Fix a typo in fesetenv.c [BZ #33619]

	* sysdeps/x86_64/fpu/fesetenv.c: Modified.
	(__fesetenv): Modified function.

2025-11-11  Xie jiamei  <xiejiamei@hygon.cn>

	COMMIT: 1707b233822a503f787ae1b4abdd07949c3ee691
	Set Prefer_No_AVX512 flag for hygon platform

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.

2025-11-10  Osama Abdelkader  <osama.abdelkader@gmail.com>

	COMMIT: e52d9542cddf10abc6e43244074913b1835c9a31
	math: Optimize frexpl (binary128) with fast path for normal numbers

	* sysdeps/ieee754/ldbl-128/s_frexpl.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(two114): Modified.
	(__frexpl): Modified function.
	(EXPONENT_BIAS): New.

2025-11-10  Osama Abdelkader  <osama.abdelkader@gmail.com>

	COMMIT: e05476b5c8ef33cf4a10332663ad06a10507bc2b
	math: Optimize frexp (binary64) with fast path for normal numbers

	* sysdeps/ieee754/dbl-64/s_frexp.c: Modified.
	(__frexp): Modified function.
	(stdbit.h): Include file.
	(math_config.h): Include file.

2025-11-10  Osama Abdelkader  <osama.abdelkader@gmail.com>

	COMMIT: 4d2582150e4995c4ff0c4e9f678a4fed02830513
	math: Optimize frexpf (binary32) with fast path for normal numbers

	* sysdeps/ieee754/flt-32/s_frexpf.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(two25): Remove.
	(__frexpf): Modified function.
	(stdbit.h): Include file.
	(math_config.h): Include file.

2025-11-10  Osama Abdelkader  <osama.abdelkader@gmail.com>

	COMMIT: ff041e8f8e66371bc13103abdf18fa676b9c214a
	benchtests: Add benchmarks for frexp functions

	* benchtests/Makefile: Modified.
	* benchtests/frexp-inputs: New file.
	* benchtests/frexpf-inputs: New file.
	* benchtests/frexpl-inputs: New file.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b983c854e6d7198d4114ef8303819a7755f8b6d1
	math: Sync acosh from CORE-MATH

	* SHARED-FILES: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-acosh: Modified.
	* sysdeps/ieee754/dbl-64/e_acosh.c: Modified.
	(__ieee754_acosh): Modified function.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 50000da305a64532f5ac39bc79ef93cb6bdabd22
	Filter out internal abort during ld.so build

	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.
	* sysdeps/mach/hurd/configure: Modified.
	* sysdeps/mach/hurd/configure.ac: Modified.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e3394859eeee302edff09eb8ed0ec575aa8c5614
	x86: Fix THREAD_GSCOPE_RESET_FLAG build on clang

	* sysdeps/x86_64/nptl/tls.h: Modified.
	[! __ASSEMBLER__](THREAD_GSCOPE_RESET_FLAG): Modified.
	[! __ASSEMBLER__][! __clang__](FS_ASM): New.
	[! __ASSEMBLER__][__clang__](FS_ASM): New.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 427c25278d1dae62dffa07ea5cd0fc33f07190af
	x86: Adapt "%v" usage on clang to emit VEX enconding

	* sysdeps/i386/fpu/fclrexcpt.c: Modified.
	(__feclearexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fedisblxcpt.c: Modified.
	(fedisableexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/feenablxcpt.c: Modified.
	(feenableexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fegetenv.c: Modified.
	(__fegetenv): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fegetmode.c: Modified.
	(fegetmode): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/feholdexcpt.c: Modified.
	(__feholdexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fesetenv.c: Modified.
	(__fesetenv): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fesetexcept.c: Modified.
	(fesetexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fesetmode.c: Modified.
	(fesetmode): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fesetround.c: Modified.
	(__fesetround): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/feupdateenv.c: Modified.
	(__feupdateenv): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fgetexcptflg.c: Modified.
	(__fegetexceptflag): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/fsetexcptflg.c: Modified.
	(__fesetexceptflag): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/fpu/ftestexcept.c: Modified.
	(__fetestexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/i386/setfpucw.c: Modified.
	(__setfpucw): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86/fpu/fenv_private.h: Modified.
	(libc_feholdexcept_sse): Modified function.
	(libc_fesetround_sse): Modified function.
	(libc_feholdexcept_setround_sse): Modified function.
	(libc_fetestexcept_sse): Modified function.
	(libc_fesetenv_sse): Modified function.
	(libc_feupdateenv_test_sse): Modified function.
	(libc_feholdsetround_sse): Modified function.
	(libc_feresetround_sse): Modified function.
	(libc_feholdexcept_setround_sse_ctx): Modified function.
	(libc_feholdsetround_sse_ctx): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86/fpu/math-inline-asm.h: New file.
	* sysdeps/x86/fpu/math_private.h: Modified.
	(__trunc): Modified function.
	(__truncf): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86/fpu/sfp-machine.h: Modified.
	[__x86_64__](FP_INIT_ROUNDMODE): Modified.
	(math-inline-asm.h): Include file.
	* sysdeps/x86/fpu/test-fenv-sse-2.c: Modified.
	(get_sse_mxcsr): Remove function.
	(set_sse_mxcsr): Remove function.
	(set_sse_mxcsr_bits): Modified function.
	(test_sse_mxcsr_bits): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fclrexcpt.c: Modified.
	(__feclearexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fedisblxcpt.c: Modified.
	(fedisableexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/feenablxcpt.c: Modified.
	(feenableexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fegetenv.c: Modified.
	(__fegetenv): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fegetmode.c: Modified.
	(fegetmode): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/feholdexcpt.c: Modified.
	(__feholdexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fesetenv.c: Modified.
	(__fesetenv): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fesetexcept.c: Modified.
	(fesetexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fesetmode.c: Modified.
	(fesetmode): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fesetround.c: Modified.
	(__fesetround): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/feupdateenv.c: Modified.
	(__feupdateenv): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fgetexcptflg.c: Modified.
	(fegetexceptflag): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fraiseexcpt.c: Modified.
	(__feraiseexcept): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/fsetexcptflg.c: Modified.
	(fesetexceptflag): Modified function.
	(math-inline-asm.h): Include file.
	* sysdeps/x86_64/fpu/ftestexcept.c: Modified.
	(__fetestexcept): Modified function.
	(math-inline-asm.h): Include file.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d25db12c2aafc5a05cf4deda4154f7a4cd357c21
	x86: math: Use of __libgcc_cmp_return__ iff compiler supports it

	* config.h.in: Modified.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86/fpu/sfp-machine.h: Modified.
	(mode): Remove.
	[! HAVE_X86_LIBGCC_CMP_RETURN_ATTR][! __x86_64__](__gcc_CMPtype): New.
	[! HAVE_X86_LIBGCC_CMP_RETURN_ATTR][__x86_64__](__gcc_CMPtype): New.
	[HAVE_X86_LIBGCC_CMP_RETURN_ATTR](mode): New.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bd6b49e11dfe6cb3c9da5a50b79d9429f13b5d62
	string: Check if attribute can declared after function declaration

	* config.h.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* include/string.h: Modified.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): Remove.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): Remove.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT][! ATTR_AFTER_FUNC_DECL](mempcpy): New.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT][! ATTR_AFTER_FUNC_DECL](stpcpy): New.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT][ATTR_AFTER_FUNC_DECL](__typeof): New.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT][ATTR_AFTER_FUNC_DECL](__typeof): New.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9044d61ff9b0307d6ef34e4e4559a70ff7186906
	nss: Suppress clang -Wstring-plus-int on __nss_shlib_revision definition

	* nss/nss_module.c: Modified.
	(__nss_shlib_revision): Modified.

2025-11-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ab1a96c978246b767871075b0b05d175fe74a0ae
	stdlib: Remove mp_clz_tab.c

	* stdlib/Makefile: Modified.
	* stdlib/mp_clz_tab.c: Delete file.
	* sysdeps/hppa/mp_clz_tab.c: Delete file.
	* sysdeps/i386/mp_clz_tab.c: Delete file.
	* sysdeps/powerpc/mp_clz_tab.c: Delete file.
	* sysdeps/x86_64/mp_clz_tab.c: Delete file.

2025-11-09  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 494ba55d0b400a42adfc926d3d1f99973aee9cf1
	hurd: make setpriority clamp nice values to 0..2*NZERO-1 [BZ #33614]

	* sysdeps/mach/hurd/setpriority.c: Modified.
	(__setpriority): Modified function.
	(sys/param.h): Include file.

2025-11-09  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a701ecc9f613ba2a850c7d17371b77afef4bff93
	Revert "hurd: Make rename refuse trailing slashes [BZ #32570]"

	* sysdeps/mach/hurd/renameat2.c: Modified.
	(__renameat2): Modified function.

2025-11-08  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 23db68ed9d2cc398ef2ee02b904a35ed880e95ed
	Add missing $(rpath-link) to elf/ld.so --library-path

	* elf/Makefile: Modified.
	* elf/tst-pathopt.sh: Modified.
	* scripts/dso-ordering-test.py: Modified.

2025-11-08  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 4b5eeec17bad8529e61c2361b8e4b278bc9066e3
	Add missing $(rpath-link) to /elf/ld.so --library-path

	* iconv/Makefile: Modified.
	* iconv/tst-iconv_prog.sh: Modified.
	* iconv/tst-iconvconfig.sh: Modified.
	* iconvdata/Makefile: Modified.
	* iconvdata/run-iconv-test.sh: Modified.
	* locale/Makefile: Modified.
	* locale/tst-locale-locpath.sh: Modified.

2025-11-08  Carlos O'Donell  <carlos@redhat.com>
            Patsy Griffin  <patsy@redhat.com>

	COMMIT: ea8e2b96d8f0584ac4cf7df69c92cc9f83a4c7d7
	nss: Add ERANGE testing to tst-nss-test4 (bug 33361)

	* nss/tst-nss-test4.c: Modified.
	(group_2): Remove.
	(merge_1): Remove.
	(group_4): Modified.
	(group_table_data1): Modified.
	(group_table_data2): Modified.
	(do_test): Modified function.
	(assert.h): Include file.
	(array_length.h): Include file.
	(nss/grp.h): Include file.
	(support/test-driver.h): Include file.
	(group_2): New.
	(_Static_assert): New function.

2025-11-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 259adb087dd99a199b125e7b955f1d35044664b4
	aarch64: Remove $(aarch64-bti) check

	* sysdeps/aarch64/Makefile: Modified.

2025-11-07  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 58a31b4316f1f687184eb147ffa1c676bc6a190e
	posix: Fix invalid flags test for p{write,read}v2

	* misc/tst-preadvwritev2-common.c: Modified.
	(do_test_with_invalid_flags): Modified function.

2025-11-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b64335ff111c071fde61aec1c1a8460afb3d16d4
	support: Exit on consistency check failure in resolv_response_add_name

	* support/resolv_test.c: Modified.
	(resolv_response_add_name): Modified function.

2025-11-06  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: e45af510bc816e860c8e2e1d4a652b4fe15c4b34
	AArch64: Fix instability in AdvSIMD sinh

	* sysdeps/aarch64/fpu/sinh_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.

2025-11-06  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 6c22823da57aa5218f717f569c04c9573c0448c5
	AArch64: Fix instability in AdvSIMD tan

	* sysdeps/aarch64/fpu/tan_advsimd.c: Modified.
	(data): Modified.
	(Thresh): Remove.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.

2025-11-06  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 5b82fb18827e962af9f080fdf3c1a69802783f67
	AArch64: Optimise SVE scalar callbacks

	* sysdeps/aarch64/fpu/sv_math.h: Modified.
	(sv_call_f64): Modified function.
	(sv_call2_f64): Modified function.
	(sv_call_f32): Modified function.
	(sv_call2_f32): Modified function.
	[! __ARM_FEATURE_SVE_BITS || __ARM_FEATURE_SVE_BITS == 0](SVE_VECTOR_BYTES): New.
	[!(! __ARM_FEATURE_SVE_BITS || __ARM_FEATURE_SVE_BITS == 0)](SVE_VECTOR_BYTES): New.
	(SVE_NUM_FLTS): New.
	(SVE_NUM_DBLS): New.
	(SVE_NUM_PG_BYTES): New.
	(svstr_p): New function.

2025-11-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 20a2a756089eacd7e7f4c02e381e82b5d0e40a2c
	support: Fix FILE * leak in check_for_unshare_hints in test-container

	* support/test-container.c: Modified.
	(check_for_unshare_hints): Modified function.

2025-11-06  H.J. Lu  <hjl.tools@gmail.com>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 975c8c4e22f73fb60996f6bcc2cf1a6f6af70928
	i386: Simplify powl computation for small integral y [BZ #33586]

	* sysdeps/i386/fpu/e_powl.S: Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3078358ac6deab75109606f72ad85049703184ad
	math: Remove the SVID error handling from tgammaf

	* math/Versions: Modified.
	* math/w_tgammaf_compat.c: Modified.
	[LIBM_SVID_COMPAT](__tgammaf): Remove.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_43)](__tgammaf_svid): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_43)](compat_symbol): New.
	(shlib-compat.h): Include file.
	* sysdeps/generic/math_private_calls.h: Modified.
	[! __MATH_DECLARING_FLOAT](__MSUF_R): New function.
	(__MSUF_R): Modified.
	(__MSUF_R): Remove.
	* sysdeps/ieee754/flt-32/e_gammaf_r.c: Modified.
	(__ieee754_gammaf_r): Remove function.
	[LIBM_SVID_COMPAT](versioned_symbol): New.
	(array_length.h): Include file.
	(libm-alias-float.h): Include file.
	(math-svid-compat.h): Include file.
	(__tgammaf): New function.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(__math_erangef): New function.
	* sysdeps/ieee754/flt-32/math_errf.c: Modified.
	(__math_erangef): New function.
	* sysdeps/ieee754/flt-32/w_tgammaf.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: de0e623434fcce907a5be8cc386c95d6b07ba408
	math: Remove the SVID error handling from lgammaf/lgammaf_r

	* math/Versions: Modified.
	* math/lgamma-compat.h: Modified.
	[! USE_AS_COMPAT](LGFUNC): Remove.
	[USE_AS_COMPAT](LGFUNC): Remove.
	(LGAMMA_OLD_VER): Remove.
	(LGAMMA_NEW_VER): Remove.
	(GAMMA_ALIAS): Modified.
	[USE_AS_COMPAT != 2](LGFUNC): New.
	[USE_AS_COMPAT <= 1](LGAMMA_OLD_VER): New.
	[USE_AS_COMPAT <= 1](LGAMMA_NEW_VER): New.
	[USE_AS_COMPAT == 1](LGFUNC): New.
	[USE_AS_COMPAT == 2](LGAMMA_OLD_VER): New.
	[USE_AS_COMPAT == 2](LGAMMA_NEW_VER): New.
	[USE_AS_COMPAT == 2](LGFUNC): New.
	* math/w_lgammaf_compat2.c: Modified.
	(USE_AS_COMPAT): Modified.
	* math/w_lgammaf_main.c: Modified.
	[BUILD_LGAMMA][! USE_AS_COMPAT](versioned_symbol): Remove.
	[BUILD_LGAMMA][USE_AS_COMPAT](compat_symbol): Remove.
	[BUILD_LGAMMA][GAMMA_ALIAS](strong_alias): New.
	[BUILD_LGAMMA][GAMMA_ALIAS](weak_alias): New.
	[BUILD_LGAMMA](compat_symbol): New function.
	* math/w_lgammaf_r_compat.c: Modified.
	[LIBM_SVID_COMPAT](__lgammaf_r): Remove function.
	[LIBM_SVID_COMPAT](__lgammaf_r_svidf): New function.
	[LIBM_SVID_COMPAT](compat_symbol): New function.
	(shlib-compat.h): Include file.
	* sysdeps/ieee754/flt-32/e_lgammaf_r.c: Modified.
	(__ieee754_lgammaf_r): Remove function.
	[LIBM_SVID_COMPAT][__HAVE_FLOAT32 && !__HAVE_DISTINCT_FLOAT32](weak_alias): New.
	[LIBM_SVID_COMPAT](libm_alias_finite): New.
	(libm-alias-float.h): Include file.
	(math-svid-compat.h): Include file.
	(__lgammaf_r): New function.
	(strong_alias): New.
	* sysdeps/ieee754/flt-32/w_lgammaf.c: New file.
	* sysdeps/ieee754/flt-32/w_lgammaf_r.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c0be0b4527dd97a9cbdb97f6b48471b12dcd9a94
	Add FD_PIDFS_ROOT from Linux 6.17 to bits/fcntl-linux.h

	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU](FD_PIDFS_ROOT): New.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1e750f62c417835f7a05d96d8c995f68295e5ed8
	Add AT_EXECVE_CHECK from Linux 6.14 to bits/fcntl-linux.h

	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU](AT_EXECVE_CHECK): New.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 04e6bdb4371af0612716cee10667d5aa5ccdb111
	Add AT_HANDLE_CONNECTABLE from Linux 6.13 to bits/fcntl-linux.h

	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU](AT_HANDLE_CONNECTABLE): New.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f8a6b022237a44f1dbfe8d8d8ea1b9ad307ee72c
	linux: Update statx-generic.h with linux 6.16

	* io/bits/types/struct_statx.h: Modified.
	[! __statx_](statx): Modified.
	* io/tst-statx.c: Modified.
	(_Static_assert): Modified.
	(_Static_assert): New function.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cf73362a7e47a0c107bfd6fc386ac5a387c4c2f0
	linux: Update statx-generic.h with linux 6.14

	* io/bits/statx-generic.h: Modified.
	[! STATX_TYPE](STATX_DIO_READ_ALIGN): New.
	* io/bits/types/struct_statx.h: Modified.
	[! __statx_](statx): Modified.
	* io/tst-statx.c: Modified.
	(_Static_assert): Modified.
	(_Static_assert): Remove.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5a2ace34fccaf7eedcbd04ae0e09563a1e95c14d
	linux: Add STATX_WRITE_ATOMIC/STATX_ATTR_WRITE_ATOMIC definitions to generic statx

	* io/bits/types/struct_statx.h: Modified.
	[! __statx_](statx): Modified.
	* io/tst-statx.c: Modified.
	(_Static_assert): Modified.
	(_Static_assert): New function.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4540cc22374b0324b5df08ea418e11b89b7c099f
	linux: Add STATX_SUBVOL definition to generic statx

	* io/bits/types/struct_statx.h: Modified.
	[! __statx_](statx): Modified.
	* io/tst-statx.c: Modified.
	(_Static_assert): Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2ae61521445cddd4c2fefd38e11d0ca3d9d5ce99
	linux: Add STATX_DOALIGN definition to generic statx

	* io/bits/types/struct_statx.h: Modified.
	[! __statx_](statx): Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0d0726e4eb7493ba46b597954348cb5029c2bc13
	linux: Add STATX_MNT_ID_UNIQUE definition to generic statx

	* io/bits/types/struct_statx.h: Modified.
	[! __statx_](statx): Modified.
	* io/tst-statx.c: Modified.
	(_Static_assert): Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 03d9cb23b813f4306f87616c5bfb4b5fba7441c4
	Update syscall lists for Linux 6.17

	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/loongarch/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/or1k/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: Modified.
	(__NR_file_getattr): New.
	(__NR_file_setattr): New.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c0c9524a11c56889ec5b1de2e0b78112f2ebc0b7
	Update PIDFD_* constants for Linux 6.17

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/sys/pidfd.h: Modified.
	(PIDFD_SELF_THREAD): New.
	(PIDFD_SELF_THREAD_GROUP): New.
	(PIDFD_SELF): New.
	(PIDFD_SELF_PROCESS): New.
	(PIDFD_INFO_PID): New.
	(PIDFD_INFO_CREDS): New.
	(PIDFD_INFO_CGROUPID): New.
	(PIDFD_INFO_EXIT): New.
	(PIDFD_INFO_COREDUMP): New.
	(PIDFD_COREDUMPED): New.
	(PIDFD_COREDUMP_SKIP): New.
	(PIDFD_COREDUMP_USER): New.
	(PIDFD_COREDUMP_ROOT): New.
	(pidfd_info): New.
	(PIDFD_INFO_SIZE_VER0): New.
	(PIDFD_GET_INFO): New.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd.c: Modified.
	(sighandler): Remove function.
	(subprocess): Modified function.
	(do_test): Modified function.
	(array_length.h): Include file.
	(sighandler_subprocess): New function.
	(pidfd_self_flag): New.
	(sighandler_parent): New function.
	* sysdeps/unix/sysv/linux/tst-pidfd_getinfo.c: New file.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bd7be9f4472a8e3c84e7154836eecb06351380e7
	Update kernel version to 6.17 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-sched-consts.py: Modified.

2025-11-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7ec8eb567639b6cfd2a8f3d267bdc6dd47c32d3e
	math: Remove the SVID error handling from atan2f

	* math/Versions: Modified.
	* math/w_atan2f_compat.c: Modified.
	[LIBM_SVID_COMPAT](__atan2f): Remove.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_43)][! NO_COMPAT_NEEDED](compat_symbol): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_43)][NO_COMPAT_NEEDED](strong_alias): New.
	[LIBM_SVID_COMPAT && SHLIB_COMPAT (libm, GLIBC_2_0, GLIBC_2_43)](__atan2_compatf): New.
	* sysdeps/ieee754/flt-32/e_atan2f.c: Modified.
	(cr_atan2f_tiny): Modified function.
	(__ieee754_atan2f): Remove function.
	[LIBM_SVID_COMPAT](versioned_symbol): New.
	(libm-alias-float.h): Include file.
	(math-svid-compat.h): Include file.
	(__atan2f): New function.
	(strong_alias): New.
	* sysdeps/ieee754/flt-32/w_atan2f.c: New file.
	* sysdeps/m68k/m680x0/fpu/w_atan2f_compat.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2025-11-04  Collin Funk  <collin.funk1@gmail.com>

	COMMIT: a5cc3018f31a125f019685b239c6e5a0bf1a272b
	Add feature test macros for POSIX.1-2024.

	* include/features.h: Modified.
	[((! __STRICT_ANSI__					 || ( _XOPEN_SOURCE && (_XOPEN_SOURCE - 0) >= 500))	 && ! _POSIX_SOURCE && ! _POSIX_C_SOURCE)][!(_XOPEN_SOURCE && (_XOPEN_SOURCE - 0) < 700)](_POSIX_C_SOURCE): Remove.
	[((! __STRICT_ANSI__					 || ( _XOPEN_SOURCE && (_XOPEN_SOURCE - 0) >= 500))	 && ! _POSIX_SOURCE && ! _POSIX_C_SOURCE)][!(_XOPEN_SOURCE && (_XOPEN_SOURCE - 0) < 800)](_POSIX_C_SOURCE): New.
	[((! __STRICT_ANSI__					 || ( _XOPEN_SOURCE && (_XOPEN_SOURCE - 0) >= 500))	 && ! _POSIX_SOURCE && ! _POSIX_C_SOURCE)][_XOPEN_SOURCE && (_XOPEN_SOURCE - 0) < 800](_POSIX_C_SOURCE): New.
	[_XOPEN_SOURCE][(_XOPEN_SOURCE - 0) >= 500][(_XOPEN_SOURCE - 0) >= 600][(_XOPEN_SOURCE - 0) >= 700][(_XOPEN_SOURCE - 0) >= 800](__USE_XOPEN2K24): New.
	[_XOPEN_SOURCE][(_XOPEN_SOURCE - 0) >= 500][(_XOPEN_SOURCE - 0) >= 600][(_XOPEN_SOURCE - 0) >= 700][(_XOPEN_SOURCE - 0) >= 800](__USE_XOPEN2K24XSI): New.
	[_POSIX_C_SOURCE && (_POSIX_C_SOURCE - 0) >= 202405L](__USE_XOPEN2K24): New.
	(__USE_XOPEN2K24): New.
	(__USE_XOPEN2K24XSI): New.
	* manual/creature.texi: Modified.

2025-11-04  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 26e48102108284d2474f83f5afee56b994c86d54
	Rename fromfp files in preparation for changing types for C23

	* math/Makefile: Modified.
	* math/fromfp.h: Move to...
	* math/compat_fromfp.h: ... here.
	* math/libm-test-fromfp.inc: Move to...
	* math/libm-test-compat_fromfp.inc: ... here.
	* math/libm-test-fromfpx.inc: Move to...
	* math/libm-test-compat_fromfpx.inc: ... here.
	* math/libm-test-ufromfp.inc: Move to...
	* math/libm-test-compat_ufromfp.inc: ... here.
	* math/libm-test-ufromfpx.inc: Move to...
	* math/libm-test-compat_ufromfpx.inc: ... here.
	* sysdeps/ieee754/dbl-64/s_fromfp.c: Move to...
	* sysdeps/ieee754/dbl-64/s_compat_fromfp.c: ... here.
	(s_fromfp_main.c): Remove include.
	(s_compat_fromfp_main.c): Include file.
	* sysdeps/ieee754/dbl-64/s_fromfp_main.c: Move to...
	* sysdeps/ieee754/dbl-64/s_compat_fromfp_main.c: ... here.
	(fromfp.h): Remove include.
	(compat_fromfp.h): Include file.
	* sysdeps/ieee754/dbl-64/s_fromfpx.c: Move to...
	* sysdeps/ieee754/dbl-64/s_compat_fromfpx.c: ... here.
	(s_fromfp_main.c): Remove include.
	(s_compat_fromfp_main.c): Include file.
	* sysdeps/ieee754/dbl-64/s_ufromfp.c: Move to...
	* sysdeps/ieee754/dbl-64/s_compat_ufromfp.c: ... here.
	(s_fromfp_main.c): Remove include.
	(s_compat_fromfp_main.c): Include file.
	* sysdeps/ieee754/dbl-64/s_ufromfpx.c: Move to...
	* sysdeps/ieee754/dbl-64/s_compat_ufromfpx.c: ... here.
	(s_fromfp_main.c): Remove include.
	(s_compat_fromfp_main.c): Include file.
	* sysdeps/ieee754/float128/Makefile: Modified.
	* sysdeps/ieee754/float128/s_fromfpf128.c: Move to...
	* sysdeps/ieee754/float128/s_compat_fromfpf128.c: ... here.
	(../ldbl-128/s_fromfpl_main.c): Remove include.
	(../ldbl-128/s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/float128/s_fromfpxf128.c: Move to...
	* sysdeps/ieee754/float128/s_compat_fromfpxf128.c: ... here.
	(../ldbl-128/s_fromfpl_main.c): Remove include.
	(../ldbl-128/s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/float128/s_ufromfpf128.c: Move to...
	* sysdeps/ieee754/float128/s_compat_ufromfpf128.c: ... here.
	(../ldbl-128/s_fromfpl_main.c): Remove include.
	(../ldbl-128/s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/float128/s_ufromfpxf128.c: Move to...
	* sysdeps/ieee754/float128/s_compat_ufromfpxf128.c: ... here.
	(../ldbl-128/s_fromfpl_main.c): Remove include.
	(../ldbl-128/s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/flt-32/s_fromfpf.c: Move to...
	* sysdeps/ieee754/flt-32/s_compat_fromfpf.c: ... here.
	(s_fromfpf_main.c): Remove include.
	(s_compat_fromfpf_main.c): Include file.
	* sysdeps/ieee754/flt-32/s_fromfpf_main.c: Move to...
	* sysdeps/ieee754/flt-32/s_compat_fromfpf_main.c: ... here.
	(fromfp.h): Remove include.
	(compat_fromfp.h): Include file.
	* sysdeps/ieee754/flt-32/s_fromfpxf.c: Move to...
	* sysdeps/ieee754/flt-32/s_compat_fromfpxf.c: ... here.
	(s_fromfpf_main.c): Remove include.
	(s_compat_fromfpf_main.c): Include file.
	* sysdeps/ieee754/flt-32/s_ufromfpf.c: Move to...
	* sysdeps/ieee754/flt-32/s_compat_ufromfpf.c: ... here.
	(s_fromfpf_main.c): Remove include.
	(s_compat_fromfpf_main.c): Include file.
	* sysdeps/ieee754/flt-32/s_ufromfpxf.c: Move to...
	* sysdeps/ieee754/flt-32/s_compat_ufromfpxf.c: ... here.
	(s_fromfpf_main.c): Remove include.
	(s_compat_fromfpf_main.c): Include file.
	* sysdeps/ieee754/ldbl-128/Makefile: Modified.
	* sysdeps/ieee754/ldbl-96/s_fromfpl.c: Move to...
	* sysdeps/ieee754/ldbl-128/s_compat_fromfpl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128/s_fromfpl_main.c: Move to...
	* sysdeps/ieee754/ldbl-128/s_compat_fromfpl_main.c: ... here.
	(fromfp.h): Remove include.
	(compat_fromfp.h): Include file.
	* sysdeps/ieee754/ldbl-96/s_fromfpxl.c: Move to...
	* sysdeps/ieee754/ldbl-128/s_compat_fromfpxl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-96/s_ufromfpl.c: Move to...
	* sysdeps/ieee754/ldbl-128/s_compat_ufromfpl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-96/s_ufromfpxl.c: Move to...
	* sysdeps/ieee754/ldbl-128/s_compat_ufromfpxl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128ibm/s_fromfpl.c: Move to...
	* sysdeps/ieee754/ldbl-128ibm/s_compat_fromfpl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128ibm/s_fromfpl_main.c: Move to...
	* sysdeps/ieee754/ldbl-128ibm/s_compat_fromfpl_main.c: ... here.
	(fromfp.h): Remove include.
	(compat_fromfp.h): Include file.
	* sysdeps/ieee754/ldbl-128ibm/s_fromfpxl.c: Move to...
	* sysdeps/ieee754/ldbl-128ibm/s_compat_fromfpxl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128ibm/s_ufromfpl.c: Move to...
	* sysdeps/ieee754/ldbl-128ibm/s_compat_ufromfpl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128ibm/s_ufromfpxl.c: Move to...
	* sysdeps/ieee754/ldbl-128ibm/s_compat_ufromfpxl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-96/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128/s_fromfpl.c: Move to...
	* sysdeps/ieee754/ldbl-96/s_compat_fromfpl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-96/s_fromfpl_main.c: Move to...
	* sysdeps/ieee754/ldbl-96/s_compat_fromfpl_main.c: ... here.
	(fromfp.h): Remove include.
	(compat_fromfp.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_fromfpxl.c: Move to...
	* sysdeps/ieee754/ldbl-96/s_compat_fromfpxl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128/s_ufromfpl.c: Move to...
	* sysdeps/ieee754/ldbl-96/s_compat_ufromfpl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/ieee754/ldbl-128/s_ufromfpxl.c: Move to...
	* sysdeps/ieee754/ldbl-96/s_compat_ufromfpxl.c: ... here.
	(s_fromfpl_main.c): Remove include.
	(s_compat_fromfpl_main.c): Include file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.

2025-11-04  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 26d11a094424e29971d3fed7ec2db52cb2c3057d
	Add C23 long_double_t, _FloatN_t

	* NEWS: Modified.
	* math/math.h: Modified.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0 || __GLIBC_FLT_EVAL_METHOD == 16](float_t): Remove.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0 || __GLIBC_FLT_EVAL_METHOD == 16](double_t): Remove.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 1][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 1][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 1][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 1][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 1][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 128][__GLIBC_USE (IEC_60559_TYPES_EXT)][!(__HAVE_FLOAT128_UNLIKE_LDBL && __LDBL_MANT_DIG__ != 106)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 128][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 128][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128_UNLIKE_LDBL && __LDBL_MANT_DIG__ != 106](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 128][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 128][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 128][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 129][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 129][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 129][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 129][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 129][__GLIBC_USE (IEC_60559_TYPES_EXT)][__LDBL_MANT_DIG__ != 106](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 129][__GLIBC_USE (IEC_60559_TYPES_EXT)][__LDBL_MANT_DIG__ == 106](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 2][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 2][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 2][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 2][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64][! __NO_LONG_DOUBLE_MATH](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 2][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64][__NO_LONG_DOUBLE_MATH](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 2][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 32](float_t): Modified.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 32][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 32][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 32][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 32][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 32][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 33](double_t): Modified.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 33][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 33][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 33][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 33][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 33][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 64](double_t): Modified.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 64][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 64][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 64][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 64][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 64][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 65][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 65][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 65][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 65][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 65][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0](float_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 0](double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT128](_Float128_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT16](_Float16_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT32](_Float32_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16][__GLIBC_USE (IEC_60559_TYPES_EXT)][__HAVE_FLOAT64](_Float64_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16][__GLIBC_USE (IEC_60559_TYPES_EXT)](long_double_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16](float_t): New.
	[__USE_ISOC99][__GLIBC_FLT_EVAL_METHOD == 16](double_t): New.
	* math/test-flt-eval-method.c: Modified.
	[FLT_EVAL_METHOD == -1][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == -1][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == -1][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == -1][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == -1](my_long_double_t): New.
	[FLT_EVAL_METHOD == 0 || FLT_EVAL_METHOD == 16](my_float_t): Remove.
	[FLT_EVAL_METHOD == 0 || FLT_EVAL_METHOD == 16](my_double_t): Remove.
	[FLT_EVAL_METHOD == 1][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 1][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 1][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 1][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 1](my_long_double_t): New.
	[FLT_EVAL_METHOD == 128][!(__HAVE_FLOAT128_UNLIKE_LDBL && __LDBL_MANT_DIG__ != 106)](my_long_double_t): New.
	[FLT_EVAL_METHOD == 128][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 128][__HAVE_FLOAT128_UNLIKE_LDBL && __LDBL_MANT_DIG__ != 106](my_long_double_t): New.
	[FLT_EVAL_METHOD == 128][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 128][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 128][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 129][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 129][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 129][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 129][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 129][__LDBL_MANT_DIG__ != 106](my_long_double_t): New.
	[FLT_EVAL_METHOD == 129][__LDBL_MANT_DIG__ == 106](my_long_double_t): New.
	[FLT_EVAL_METHOD == 2][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 2][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 2][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 2][__HAVE_FLOAT64][! __NO_LONG_DOUBLE_MATH](my_Float64_t): New.
	[FLT_EVAL_METHOD == 2][__HAVE_FLOAT64][__NO_LONG_DOUBLE_MATH](my_Float64_t): New.
	[FLT_EVAL_METHOD == 2](my_long_double_t): New.
	[FLT_EVAL_METHOD == 32](my_float_t): Modified.
	[FLT_EVAL_METHOD == 32][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 32][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 32][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 32][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 32](my_long_double_t): New.
	[FLT_EVAL_METHOD == 33](my_double_t): Modified.
	[FLT_EVAL_METHOD == 33][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 33][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 33][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 33][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 33](my_long_double_t): New.
	[FLT_EVAL_METHOD == 64](my_double_t): Modified.
	[FLT_EVAL_METHOD == 64][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 64][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 64][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 64][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 64](my_long_double_t): New.
	[FLT_EVAL_METHOD == 65][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 65][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 65][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 65][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 65](my_long_double_t): New.
	[FLT_EVAL_METHOD == 0][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 0][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 0][__HAVE_FLOAT32](my_Float32_t): New.
	[FLT_EVAL_METHOD == 0][__HAVE_FLOAT64](my_Float64_t): New.
	[FLT_EVAL_METHOD == 0](my_float_t): New.
	[FLT_EVAL_METHOD == 0](my_double_t): New.
	[FLT_EVAL_METHOD == 0](my_long_double_t): New.
	[FLT_EVAL_METHOD == 16][__HAVE_FLOAT128](my_Float128_t): New.
	[FLT_EVAL_METHOD == 16][__HAVE_FLOAT16](my_Float16_t): New.
	[FLT_EVAL_METHOD == 16][__HAVE_FLOAT32](my_Float32_t): New.
